Bug 177406 - update port and add arch: lang/mlton
Summary: update port and add arch: lang/mlton
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 04:20 UTC by Timothy Beyer
Modified: 2014-03-07 18:00 UTC (History)
1 user (show)

See Also:


Attachments
mlton.diff (72.20 KB, patch)
2013-03-27 04:20 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2013-03-27 04:20:00 UTC
- Update to version 20100608

- Use 20100608 bootstrap images that I recently submitted to the project.  Now amd64 is supported as a result, and additionally, LD_LIBMAP no longer needs to be set.

- Add support for amd64 architecture (tested and working).  Use a much larger max-heap (2 gb) in this case.

- Update DISTFILES location to use sourceforge

- Add LICENSE_FILE support (mlton license is similar to BSD, MIT, ISC or ZLIB)

- Maintain existing support for PORTDOCS variable.  Don't install extra documentation when NOPORTDOCS is used (see remove-docs target)

- Maintain existing support for MINGW32 (tested and working) via some changes to the add-local-cross script.  Unfortunately this feature cannot be used on amd64, at least in ports, due to the emulators/wine dependency.  Also made sure that add-local-cross script is executable.

- Move a lot of former small patches to use REINPLACE_CMD instead.  This should be easier to maintain.

- Get rid of many patches that were included after the 2007 version, most of which are no longer necessary.

- Mark WITH_SMLNJ as BROKEN for now, because it is hard to get working in this version, and SML/NJ can't run on some of mlton's platforms.  I left conditional statements relevant to SMLNJ to make it easy to add that feature back again in the future.  The mlton developers do not recommend bootstrapping via SML/NJ.

- Make project more c compiler agnostic when possible.  Probably still requires GCC though.

Fix: The included patch
How-To-Repeat: 
    Apply patch and build port
Comment 1 Edwin Groothuis freebsd_committer 2013-03-27 04:20:15 UTC
Maintainer of lang/mlton,

Please note that PR ports/177406 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177406

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-27 04:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2014-02-27 23:32:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Take
Comment 4 Rene Ladan freebsd_committer 2014-02-28 17:53:35 UTC
[ cc'd the other maintainer listed in Makefile ]

I tried to build the port with your patch, but it fails during build
because it cannot run mlton-compile. It looks like something is not
copied over from the bootstrap workspace, but I'm not sure.

Other changes I made to the port:
- simplify Sourceforge mastersite format
- stage support (untested, does not build)
- new LIB_DEPENDS and USES format
- depend on GCC (any) from ports because FreeBSD 10 and above do not
have it in the base system any longer
- remove pre-FreeBSD 7.0 compatibility
- patched some more files to have ${CC} (version of GCC selected)
instead of 'gcc'
- removed the post-install target (for now, should work fine with staging)

Note that there is a newer version available on the website from 2013-07-15

Can you look into this?

Thanks,
René
Comment 5 Timothy Beyer 2014-03-03 02:16:59 UTC
Hi,

Here is an updated patch that combines an improved version of the patch tha=
t I
wrote a month ago with Ren=E9 Ladan's improvements, along with a few more
changes.  It has more sed invocations than it did previously, to substitute=
 any
remaining hardcoded usages of gcc, and to avoid extraneous patch files.  Ba=
sed
on testing, it appears to work properly with staging (including manual page=
s,
as specified by portlint).

It was tested with and without PORTDOCS on FreeBSD 10.0 amd64, and extract =
and
patch phases were verified to work on FreeBSD 9.1 i386 (I haven't finished =
the
i386 build yet as that machine is incredibly slow, but it appears to be wor=
king
properly thus far).

Thank you Ren=E9 for all of the assistance and feedback.

Regards,
Tim

--- mlton.diff begins here ---
diff -urN mlton.orig/Makefile mlton/Makefile
--- mlton.orig/Makefile	2014-01-27 09:35:26.000000000 -0800
+++ mlton/Makefile	2014-03-02 17:39:42.000000000 -0800
@@ -1,38 +1,39 @@
 # Created by: Stephen Weeks <sweeks@sweeks.com>
-# $FreeBSD: head/lang/mlton/Makefile 341435 2014-01-27 17:35:26Z bapt $
+# $FreeBSD$
=20
+# Previouly maintained by Jesper Louis Andersen
+# (jesper.louis.andersen@gmail.com) and Geoffrey Mainland
+# (mainland@apeiron.net)
+#
 # Because MLton is written in SML, it needs an SML compiler to build.
 # It is easiest to use another (earlier) binary version of MLton as
 # the SML compiler.  So, this Makefile fetches and installs an
 # alread-built version of MLton, BOOT_DIST, to use for bootstrapping.
=20
 PORTNAME=3D	mlton
-PORTVERSION=3D	20070826
-PORTREVISION=3D	10
+PORTVERSION=3D	20100608
 CATEGORIES=3D	lang
-MASTER_SITES=3D	http://mlton.org/pages/Download/attachments/ \
-		http://mlton.org/pages/Experimental/attachments/ \
-		http://www.tbrk.org/distfiles/
-DISTFILES=3D	${BOOT_DIST} ${SRC_DIST}
+MASTER_SITES=3D	SF http://www.tbrk.org/distfiles/
+DISTFILES=3D	${SRC_DIST} ${BOOT_DIST}
 EXTRACT_ONLY=3D	${SRC_DIST}
=20
-# Other maintainer is Geoffrey Mainland (mainland@apeiron.net)
-MAINTAINER=3D	jesper.louis.andersen@gmail.com
+MAINTAINER=3D	beyert@cs.ucr.edu
 COMMENT=3D	Optimizing Standard ML compiler
=20
-LIB_DEPENDS=3D	gmp.10:${PORTSDIR}/math/gmp
+LIB_DEPENDS=3D	libgmp.so:${PORTSDIR}/math/gmp
 RUN_DEPENDS=3D	bash:${PORTSDIR}/shells/bash
 BUILD_DEPENDS=3D	bash:${PORTSDIR}/shells/bash
=20
-BROKEN=3D	Does not build
-DEPRECATED=3D	Broken for more than 6 month
-EXPIRATION_DATE=3D	2014-02-27
+LICENSE_FILE=3D	doc/license/MLton-LICENSE
=20
 OPTIONS_DEFINE=3D	SMLNJ MINGW32
 SMLNJ_DESC=3D	Bootstrap with SML/NJ (can take >15 hours)
 MINGW32_DESC=3D	Add the mingw32 target (requires wine)
=20
-NO_STAGE=3D	yes
+MAKE_JOBS_UNSAFE=3D	yes
+USES=3D	gmake
+USE_GCC=3D	any
+
 .include <bsd.port.options.mk>
=20
 .if ${PORT_OPTIONS:MDOCS}
@@ -40,24 +41,27 @@
 		htmldoc:${PORTSDIR}/textproc/htmldoc
 USE_TEX=3D	latex:build
 .else
-INSTALL_TARGET=3D	install-no-docs
+INSTALL_TARGET=3D	install-no-docs remove-docs
 ALL_TARGET=3D	all-no-docs
 .endif
=20
-SRC_DIST=3D	${DISTNAME}-1.src.tgz
+SRC_DIST=3D	${DISTNAME}.src.tgz
+
+.if ${PORT_OPTIONS:MSMLNJ}
+BROKEN=3D	${DISTNAME}-${PORTVERSION} does not bootstrap properly with sml-=
nj
+.endif
=20
 .if ${PORT_OPTIONS:MSMLNJ}
 BUILD_DEPENDS+=3D	smlnj-devel>=3D110.65:${PORTSDIR}/lang/sml-nj-devel
 BOOT_DIST=3D
 MAKE_ENV+=3D	SMLNJ_DEVEL=3Dyes
 .if ! ${PORT_OPTIONS:MDOCS}
-ALL_TARGET=3D	nj-mlton all-no-docs
+ALL_TARGET=3D	smlnj-mlton all-no-docs
 .else
-ALL_TARGET=3D	bootstrap-nj
+ALL_TARGET=3D	smlnj-mlton all
 .endif
 .else
-BOOT_DIST=3D	${PORTNAME}-${BOOT_VER}-1.${MACHINE_ARCH}-freebsd${OSRELMAJ}.=
${BOOT_SUF}
-MAKE_ENV+=3D	LD_LIBMAP=3Dlibgmp.so.7=3Dlibgmp.so.10
+BOOT_DIST=3D	${PORTNAME}-${PORTVERSION}-1.${MACHINE_ARCH}-freebsd${OSRELMA=
J}.${BOOT_SUF}
 .endif
=20
 .if ${PORT_OPTIONS:MMINGW32}
@@ -72,34 +76,31 @@
 PLIST_SUB+=3D	MINGW32CROSS=3D"@comment "
 .endif
=20
+# MINGW32 requires wine, which doesn't have an official amd64 port
+.if ${PORT_OPTIONS:MSMLNJ} || ${PORT_OPTIONS:MMINGW32}
 ONLY_FOR_ARCHS=3D	i386
-
-MAN1=3D		mllex.1 mlprof.1 mlton.1 mlyacc.1 mlnlffigen.1
-MANCOMPRESSED=3D	yes
+.else
+ONLY_FOR_ARCHS=3D	i386 amd64
+.endif
=20
 BOOT_WRKSRC=3D	${WRKDIR}/mlton-bootstrap
=20
-USE_GMAKE=3D	yes
 MAKE_ARGS=3D	DESTDIR=3D'' \
 		PATH=3D${WRKSRC}/build/bin:${BOOT_WRKSRC}/bin:${PATH} \
 		PREFIX=3D${PREFIX}
=20
 .if ${ARCH} =3D=3D "i386"
 MLTON_ARCH=3D	"x86"
-.endif
-
-.if ${OSVERSION} >=3D 700000
-OSRELMAJ=3D
-.else
-OSRELMAJ=3D	-6
+.elif ${ARCH} =3D=3D "amd64"
+MLTON_ARCH=3D	"x64"
 .endif
=20
 BOOT_EXTRACT=3D	--bzip2
 BOOT_SUF=3D	tbz
-BOOT_VER=3D	20070826
=20
 post-extract:
 	@${CP} ${FILESDIR}/add-local-cross ${WRKSRC}/bin/
+	@${CHMOD} 755 ${WRKSRC}/bin/add-local-cross
 .if ${PORT_OPTIONS:MSMLNJ}
 	@${CP} ${FILESDIR}/upgrade-basis.sml ${WRKSRC}/mlton/
 	@for f in `ls ${FILESDIR}/ml.* ${FILESDIR}/mlb.*`; do \
@@ -114,9 +115,33 @@
 .endif
=20
 post-patch:
+	${REINPLACE_CMD} 's/CC :=3D gcc -std=3Dgnu99/CC :=3D ${CC} -std=3Dgnu99/g=
' \
+		${WRKSRC}/runtime/Makefile \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlnlffi-lib/Makefile
+	${REINPLACE_CMD} 's/gcc -v/${CC} -v/g' ${WRKSRC}/runtime/util/Makefile
+	${REINPLACE_CMD} 's/CC =3D gcc -std=3Dgnu99/CC =3D ${CC} -std=3Dgnu99/g' =
${WRKSRC}/runtime/util/Makefile
+.if ${ARCH} =3D=3D "i386"
+	${REINPLACE_CMD} 's/ram-slop 0\.7/max-heap 800m/g' ${WRKSRC}/mlton/Makefi=
le
+.else
+	${REINPLACE_CMD} 's/ram-slop 0\.7/max-heap 2g/g' ${WRKSRC}/mlton/Makefile
+.endif
+.if ! ${PORT_OPTIONS:MSMLNJ}
 	@${REINPLACE_CMD} -e \
 		"s|/usr/local/lib/mlton|${BOOT_WRKSRC}/lib/mlton|;s|/usr/local|${LOCALBA=
SE}|" \
 		${BOOT_WRKSRC}/bin/mlton
+	@${REINPLACE_CMD} -e "s|"$$"dir/../lib/mlton|${BOOT_WRKSRC}/lib/mlton|" \
+		${BOOT_WRKSRC}/bin/mlton
+	@${REINPLACE_CMD} -e "s|"$$"dir/../lib|${BOOT_WRKSRC}/lib/mlton|" \
+		${WRKSRC}/bin/mlton-script
+.endif
+	@${REINPLACE_CMD} -e "s|no-mllex|${BOOT_WRKSRC}/bin/mllex|" \
+		${WRKSRC}/mlton/front-end/Makefile \
+		${WRKSRC}/mlyacc/Makefile
+	@${REINPLACE_CMD} -e "s|no-mlyacc|${BOOT_WRKSRC}/bin/mlyacc|" \
+		${WRKSRC}/mlton/front-end/Makefile \
+		${WRKSRC}/mlyacc/Makefile
+	@${REINPLACE_CMD} -e "s|! mlton |! ${BOOT_WRKSRC}/bin/mlton |" \
+		${WRKSRC}/bin/upgrade-basis
 	@${REINPLACE_CMD} -e \
 		"s|/usr/local|${LOCALBASE}|" \
 		${WRKSRC}/runtime/Makefile \
@@ -129,10 +154,25 @@
 		${WRKSRC}/doc/guide/PortingMLton \
 		${WRKSRC}/doc/guide/SelfCompiling \
 		${WRKSRC}/doc/guide/Installation \
-		${WRKSRC}/regression/parse.sml \
+		${WRKSRC}/regression/parse.sml
+	@${REINPLACE_CMD} -e \
+		"s|gcc|${CC}|" \
+		${WRKSRC}/bin/add-cross \
+		${WRKSRC}/bin/regression \
+		${WRKSRC}/lib/mlnlffi-lib/Makefile \
+		${WRKSRC}/mlnlffigen/gen-cppcmd \
+		${WRKSRC}/mlnlffigen/README \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlrisc-lib/c-call/test/Makefile \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/Makefile
+	@${REINPLACE_CMD} -e \
+		"s|'gcc'|'${CC}'|" \
+		${WRKSRC}/bin/mlton-script \
+		${BOOT_WRKSRC}/bin/mlton
+.if ! ${PORT_OPTIONS:MSMLNJ}
+	@${REINPLACE_CMD} -e "s|/usr/local|${LOCALBASE}|" \
 		${BOOT_WRKSRC}/lib/mlton/include/cenv.h
-	@${RM} \
-		${WRKSRC}/doc/guide/PortingMLton.bak \
+.endif
+	@${RM} ${WRKSRC}/doc/guide/PortingMLton.bak \
 		${WRKSRC}/doc/guide/SelfCompiling.bak \
 		${WRKSRC}/doc/guide/Installation.bak
=20
@@ -142,21 +182,4 @@
 	${WRKSRC}/bin/add-local-cross mingw32 x86 mingw
 .endif
=20
-post-install:
-.for bin in mllex mlnlffigen mlprof mlton mlyacc
-	${CHOWN} ${SHAREOWN}:${SHAREGRP} ${PREFIX}/bin/${bin}	\
-		${MAN1PREFIX}/man/man1/${bin}.1.gz
-	${CHMOD} a+rx ${PREFIX}/bin/${bin}
-.endfor
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${PREFIX}/lib/mlton
-	${FIND} ${PREFIX}/lib/mlton -type f -exec ${CHMOD} a+r {} \;
-	${FIND} ${PREFIX}/lib/mlton -type d -exec ${CHMOD} a+rx {} \;
-	${CHMOD} a+x ${PREFIX}/lib/mlton/mlton-compile
-	${CHMOD} a+x ${PREFIX}/lib/mlton/platform
-.if ${PORT_OPTIONS:MDOCS}
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
-	${FIND} ${DOCSDIR} -type f -exec ${CHMOD} a+r {} \;
-	${FIND} ${DOCSDIR} -type d -exec ${CHMOD} a+rx {} \;
-.endif
-
 .include <bsd.port.mk>
diff -urN mlton.orig/distinfo mlton/distinfo
--- mlton.orig/distinfo	2014-01-22 07:30:13.000000000 -0800
+++ mlton/distinfo	2013-05-01 23:57:33.000000000 -0700
@@ -1,6 +1,6 @@
-SHA256 (mlton-20070826-1.i386-freebsd-6.tbz) =3D 515d7c11892793e330effce8c=
4e02467bbfb870671d91ef544b3644003709bea
-SIZE (mlton-20070826-1.i386-freebsd-6.tbz) =3D 7120924
-SHA256 (mlton-20070826-1.i386-freebsd.tbz) =3D b953da050a725d79c0445896cd6=
892d266f340622c52824d7f06bf8a4aed34cf
-SIZE (mlton-20070826-1.i386-freebsd.tbz) =3D 7006769
-SHA256 (mlton-20070826-1.src.tgz) =3D c2f7e07523294d070682399377ea83ed11f2=
ed59d142b30fc7032c1c8fd9e103
-SIZE (mlton-20070826-1.src.tgz) =3D 5585773
+SHA256 (mlton-20100608.src.tgz) =3D f2cb2cf0d6ca8e00331b15e3d23ede05080742=
895e79e73d2c26a546cd1c0b33
+SIZE (mlton-20100608.src.tgz) =3D 5785771
+SHA256 (mlton-20100608-1.i386-freebsd.tbz) =3D 0bf9aee4387dff75540850ab1a7=
7b46b0ddd4687775cc56a9deab00ee3fb3042
+SIZE (mlton-20100608-1.i386-freebsd.tbz) =3D 10711528
+SHA256 (mlton-20100608-1.amd64-freebsd.tbz) =3D 1a0721c596a75c27ed4430149a=
62b9f497d3a8af3f189e36982ef73cd1d61d5d
+SIZE (mlton-20100608-1.amd64-freebsd.tbz) =3D 11935047
diff -urN mlton.orig/files/add-local-cross mlton/files/add-local-cross
--- mlton.orig/files/add-local-cross	2014-01-23 16:14:07.000000000 -0800
+++ mlton/files/add-local-cross	2013-05-01 23:57:33.000000000 -0700
@@ -101,24 +101,19 @@
 echo "* Running make dirs runtime in $tmp."
 $MAKE TARGET=3D$crossTarget TARGET_ARCH=3D$crossArch TARGET_OS=3D$crossOS =
dirs runtime
=20
-echo "* Copy from tmp to build (build/lib/$crossTarget)."
+echo "* Copy from tmp to build (build/lib/targets/$crossTarget)."
 # ssh $machine "cd $tmp/build/lib/self && tar cf - ." |=20
 #         ( cd "$lib/$crossTarget" && tar xf - )
-cp -pfR "$tmp/build/lib/$crossTarget" "$lib/"
+mkdir -p "$lib/targets"
+cp -pfR "$tmp/build/lib/targets/$crossTarget" "$lib/targets/"
=20
-echo "* Copy from $crossArch-$crossOS (basis-library/config/c/$crossArch-c=
rossOS)."
-#ssh $machine "cd $tmp/basis-library/config/c && tar cf - $crossArch-$cros=
sOS" |=20
-#        ( cd "$lib/sml/basis/config/c" && tar xf - )
-cp -pfR "$tmp/basis-library/config/c/$crossArch-$crossOS" \
-	"$lib/sml/basis/config/c/"
-
-echo "* Running make mlbpathmap targetmap in $src."
+echo "* Running make mlbpathmap in $src."
 #( cd "$src" &&
 #        mmake TARGET=3D$crossTarget TARGET_ARCH=3D$crossArch TARGET_OS=3D=
$crossOS \
 #                mlbpathmap targetmap )
 cd "$src"
 $MAKE TARGET=3D$crossTarget TARGET_ARCH=3D$crossArch TARGET_OS=3D$crossOS =
 \
-      mlbpathmap targetmap
+      mlbpathmap
=20
 case "$crossOS" in
 mingw)
@@ -191,7 +186,6 @@
 $GCC $archOpts $osOpts -I. -o $exe $exe.c libmlton.a libgdtoa.a -lgmp -lm =
$libs
=20
 #ssh $machine "$tmp/runtime/$exe$suf" >"$lib/$crossTarget/constants"
-$RUN "$tmp/runtime/$exe$suf" > "$lib/$crossTarget/constants"
+$RUN "$tmp/runtime/$exe$suf" > "$lib/targets/$crossTarget/constants"
 #ssh $machine "rm -rf $tmp"
 # rm -rf "$tmp"
-
diff -urN mlton.orig/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.=
h mlton/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.h
--- mlton.orig/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.h	2014=
-01-22 09:40:44.000000000 -0800
+++ mlton/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.h	1969-12-3=
1 16:00:00.000000000 -0800
@@ -1,11 +0,0 @@
---- ../mlton-bootstrap/lib/mlton/include/cenv.h.orig	2007-11-24 15:52:08.0=
00000000 +0100
-+++ ../mlton-bootstrap/lib/mlton/include/cenv.h	2010-06-22 12:36:33.111364=
813 +0200
-@@ -116,7 +116,7 @@
- #error unknown platform arch
- #endif
-=20
--#include "gmp.h"
-+#include "/usr/local/include/gmp.h"
-=20
- COMPILE_TIME_ASSERT(sizeof_uintptr_t__is__sizeof_voidStar,=20
-                     sizeof(uintptr_t) =3D=3D sizeof(void*));
diff -urN mlton.orig/files/patch-Makefile mlton/files/patch-Makefile
--- mlton.orig/files/patch-Makefile	2014-01-22 09:40:44.000000000 -0800
+++ mlton/files/patch-Makefile	2013-05-01 23:57:33.000000000 -0700
@@ -1,5 +1,5 @@
---- Makefile.orig	2007-08-27 07:04:14.000000000 +1000
-+++ Makefile	2008-04-28 10:23:28.000000000 +1000
+--- Makefile.orig	2010-06-11 06:35:30.000000000 -0700
++++ Makefile	2013-03-25 20:23:46.000000000 -0700
 @@ -34,7 +34,11 @@
  PATH :=3D $(BIN):$(SRC)/bin:$(shell echo $$PATH)
  CP :=3D /bin/cp -fpR
@@ -12,11 +12,14 @@
 =20
  # If we're compiling with another version of MLton, then we want to do
  # another round of compilation so that we get a MLton built without
-@@ -410,6 +414,7 @@
- install-no-docs:
- 	mkdir -p "$(TLIB)" "$(TBIN)" "$(TMAN)"
- 	$(CP) "$(LIB)/." "$(TLIB)/"
-+	-rm "$(TLIB)/mlton.x86-bsd"
- 	sed "/^lib=3D/s;.*;lib=3D'$(prefix)/$(ULIB)';" 			\
- 		<"$(BIN)/mlton" >"$(TBIN)/mlton"
- 	chmod a+x "$(TBIN)/mlton"
+@@ -401,6 +405,10 @@
+ 	cd "$(TLIB)/sml"; for i in */[Dd]oc; do mv "$$i" "$(TDOC)/$$i"; done
+ 	cd "$(TLIB)/sml"; for i in */README*; do mv "$$i" "$(TDOC)/$$i"; done
+=20
++remove-docs:
++	cd "$(TLIB)/sml"; for i in */[Dd]oc; do rm -rf "$$i"; done
++	cd "$(TLIB)/sml"; for i in */README*; do rm -rf "$$i"; done
++
+ .PHONY: release
+ release: version
+ 	tar cvzf ../mlton-$(VERSION).tar.gz \
diff -urN mlton.orig/files/patch-bin-mlton_script mlton/files/patch-bin-mlt=
on_script
--- mlton.orig/files/patch-bin-mlton_script	2014-01-22 09:40:44.000000000 -=
0800
+++ mlton/files/patch-bin-mlton_script	1969-12-31 16:00:00.000000000 -0800
@@ -1,18 +0,0 @@
---- bin/mlton-script.orig	2008-04-22 21:15:23.000000000 +1000
-+++ bin/mlton-script	2008-04-22 21:18:33.000000000 +1000
-@@ -19,14 +19,7 @@
- mlton=3D"$lib/mlton-compile$exe"
- world=3D"$lib/world.mlton"
- nj=3D'sml'
--# Try to use the SML/NJ .arch-n-opsys
--if .arch-n-opsys >/dev/null 2>&1; then
--        eval `.arch-n-opsys`
--        njHeap=3D"$lib/mlton.$HEAP_SUFFIX"
--        unset `.arch-n-opsys | sed 's#=3D[^ ]*##g'`
--else
--        njHeap=3D"$lib/mlton.$HOST_ARCH-$HOST_OS"
--fi
-+njHeap=3D"$lib/mlton.x86-bsd"
-=20
- declare -a rargs
- case "$1" in
diff -urN mlton.orig/files/patch-mlton-Makefile mlton/files/patch-mlton-Mak=
efile
--- mlton.orig/files/patch-mlton-Makefile	2014-01-22 09:40:44.000000000 -08=
00
+++ mlton/files/patch-mlton-Makefile	1969-12-31 16:00:00.000000000 -0800
@@ -1,11 +0,0 @@
---- mlton/Makefile.orig	2007-12-22 22:09:47.000000000 +0100
-+++ mlton/Makefile	2007-12-22 22:09:56.000000000 +0100
-@@ -18,7 +18,7 @@
- UP :=3D upgrade-basis.sml
- PATH :=3D $(BIN):$(shell echo $$PATH)
-=20
--FLAGS :=3D @MLton ram-slop 0.7 gc-summary $(RUNTIME_ARGS) --
-+FLAGS :=3D @MLton max-heap 680m gc-summary $(RUNTIME_ARGS) --
-=20
- ifeq (self, $(shell if [ -x "$(BIN)/mlton" ]; then echo self; fi))
-   # We're compiling MLton with itself, so don't use any stubs.
diff -urN mlton.orig/files/patch-runtime-Makefile mlton/files/patch-runtime=
-Makefile
--- mlton.orig/files/patch-runtime-Makefile	2014-01-22 09:40:44.000000000 -=
0800
+++ mlton/files/patch-runtime-Makefile	2013-05-01 23:57:33.000000000 -0700
@@ -1,7 +1,7 @@
---- runtime/Makefile.orig	2007-08-27 07:03:54.000000000 +1000
-+++ runtime/Makefile		2008-04-28 10:19:06.000000000 +1000
-@@ -11,11 +11,24 @@
- TARGET :=3D self
+--- runtime/Makefile.orig	2010-06-11 06:35:14.000000000 -0700
++++ runtime/Makefile	2013-03-06 19:55:56.000000000 -0800
+@@ -23,6 +23,19 @@
+=20
  TARGET_ARCH :=3D $(shell ../bin/host-arch)
  TARGET_OS :=3D $(shell ../bin/host-os)
 +
@@ -18,67 +18,50 @@
 +endif
 +
  GCC_MAJOR_VERSION :=3D						\
--	$(shell gcc -v 2>&1 | grep 'gcc version' | 		\
-+	$(shell $(GCC) -v 2>&1 | grep 'gcc version' | 		\
+ 	$(shell $(CC) -v 2>&1 | grep 'gcc version' | 		\
  		sed 's/.*gcc version \([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\1/')
- GCC_MINOR_VERSION :=3D						\
--	$(shell gcc -v 2>&1 | grep 'gcc version' | 		\
-+	$(shell $(GCC) -v 2>&1 | grep 'gcc version' | 		\
- 		sed 's/.*gcc version \([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\2/')
- GCC_VERSION :=3D $(GCC_MAJOR_VERSION).$(GCC_MINOR_VERSION)
-=20
-@@ -96,10 +109,9 @@
- else
- AR :=3D $(TARGET)-ar rc
- RANLIB :=3D $(TARGET)-ranlib
--FLAGS +=3D -b $(TARGET)
- endif
-=20
--CC :=3D gcc -std=3Dgnu99
-+CC :=3D $(GCC) -std=3Dgnu99
- CPPFLAGS :=3D
- CFLAGS :=3D -I. -Iplatform $(FLAGS)
- OPTCFLAGS :=3D $(CFLAGS) $(CPPFLAGS) $(OPTFLAGS)
-@@ -247,7 +259,7 @@
- 	cd gdtoa && $(CC) -o arithchk.out arithchk.c
+@@ -292,7 +305,7 @@
+ 	cd gdtoa && $(CC) $(OPTCFLAGS) $(OPTWARNCFLAGS) -w -O1 -o arithchk.out a=
rithchk.c
 =20
  gdtoa/arith.h: gdtoa/arithchk.out
 -	cd gdtoa && ./arithchk.out >arith.h
 +	cd gdtoa && $(RUN) ./arithchk.out >arith.h
 =20
- libmlton.a: $(OBJS)
- 	$(AR) libmlton.a $(OBJS)
-@@ -265,7 +277,7 @@
- gen/c-types.h gen/c-types.sml gen/ml-types.h: gen/gen-types.c util.h util=
.o
+ gdtoa/%-pic.o: gdtoa/%.c gdtoa/arith.h
+ 	$(CC) $(PICCFLAGS) $(PICWARNCFLAGS) -w -DINFNAN_CHECK -c -o $@ $<
+@@ -322,7 +335,7 @@
+ gen/gen-types.stamp: gen/gen-types.c util.h util.o
  	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o gen/gen-types gen/gen-types.c util.o
- 	rm -f gen/c-types.h gen/c-types.sml gen/ml-types.h
+ 	rm -f gen/c-types.h gen/c-types.sml gen/ml-types.h gen/gen-types.stamp
 -	cd gen && ./gen-types
 +	cd gen && $(RUN) ./gen-types
- 	rm -f gen/gen-types$(EXE)
+ 	rm -f gen/gen-types$(EXE) gen/gen-types
+ 	touch $@
 =20
- c-types.h ml-types.h: gen/c-types.h gen/ml-types.h
-@@ -276,7 +288,7 @@
- gen/basis-ffi.h gen/basis-ffi.sml: gen/gen-basis-ffi.sml gen/basis-ffi.def
+@@ -333,7 +346,7 @@
+ gen/gen-basis-ffi.stamp: gen/gen-basis-ffi.sml gen/basis-ffi.def
  	mlton -output gen/gen-basis-ffi gen/gen-basis-ffi.sml
- 	rm -f gen/basis-ffi.h gen/basis-ffi.sml
+ 	rm -f gen/basis-ffi.h gen/basis-ffi.sml gen/gen-basis-ffi.stamp
 -	cd gen && ./gen-basis-ffi
 +	cd gen && $(RUN) ./gen-basis-ffi
  	rm -f gen/gen-basis-ffi
+ 	touch $@
 =20
- basis-ffi.h: gen/basis-ffi.h
-@@ -286,13 +298,13 @@
- gen/sizes: gen/gen-sizes.c libmlton.a
- 	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o gen/gen-sizes -I. -L. -lmlton gen/ge=
n-sizes.c util.o
+@@ -342,7 +355,7 @@
+ gen/gen-sizes.stamp: gen/gen-sizes.c libmlton.a $(HFILES)
+ 	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -I. -o gen/gen-sizes gen/gen-sizes.c -L=
. -lmlton
  	rm -f gen/sizes
 -	cd gen && ./gen-sizes
 +	cd gen && $(RUN) ./gen-sizes
- 	rm -f gen/gen-sizes$(EXE)
+ 	rm -f gen/gen-sizes$(EXE) gen/gen-sizes
+ 	touch $@
 =20
- bytecode/opcodes: bytecode/print-opcodes.c bytecode/opcode.h
+@@ -370,7 +383,7 @@
+ bytecode/print-opcodes: bytecode/print-opcodes.c bytecode/opcode.h $(HFIL=
ES)
  	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o bytecode/print-opcodes bytecode/prin=
t-opcodes.c
  	rm -f bytecode/opcodes
 -	cd bytecode && ./print-opcodes > opcodes
 +	cd bytecode && $(RUN) ./print-opcodes > opcodes
- 	rm -f bytecode/print-opcodes$(EXE)
-=20
 =20
+ basis.c: $(BASISCFILES)
+ 	rm -f basis.c
diff -urN mlton.orig/files/patch-runtime-cenv.h mlton/files/patch-runtime-c=
env.h
--- mlton.orig/files/patch-runtime-cenv.h	2014-01-22 09:40:44.000000000 -08=
00
+++ mlton/files/patch-runtime-cenv.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,11 +0,0 @@
---- runtime/cenv.h.orig	2008-04-27 10:56:05.000000000 +1000
-+++ runtime/cenv.h	2008-04-27 10:56:20.000000000 +1000
-@@ -116,7 +116,7 @@
- #error unknown platform arch
- #endif
-=20
--#include "gmp.h"
-+#include "/usr/local/include/gmp.h"
-=20
- COMPILE_TIME_ASSERT(sizeof_uintptr_t__is__sizeof_voidStar,=20
-                     sizeof(uintptr_t) =3D=3D sizeof(void*));
diff -urN mlton.orig/files/patch-runtime-mingw.c mlton/files/patch-runtime-=
mingw.c
--- mlton.orig/files/patch-runtime-mingw.c	2014-01-22 09:40:44.000000000 -0=
800
+++ mlton/files/patch-runtime-mingw.c	1969-12-31 16:00:00.000000000 -0800
@@ -1,43 +0,0 @@
---- runtime/platform/mingw.c.orig	2008-04-27 11:10:10.000000000 +1000
-+++ runtime/platform/mingw.c	2008-04-27 11:10:33.000000000 +1000
-@@ -54,40 +54,6 @@
- }
-=20
- /* ------------------------------------------------- */
--/*                       Date                        */
--/* ------------------------------------------------- */
--
--#ifndef __GNUC__
--#define EPOCHFILETIME (116444736000000000i64)
--#else
--#define EPOCHFILETIME (116444736000000000LL)
--#endif
--
--/* Based on notes by Wu Yongwei:=20
-- *   http://mywebpage.netscape.com/yongweiwutime.htm=20
-- */
--int gettimeofday (struct timeval *tv, struct timezone *tz) {
--        FILETIME ft;
--        LARGE_INTEGER li;
--        __int64 t;
--        static bool tzInit =3D FALSE;
--
--        unless (tzInit) {
--                tzInit =3D TRUE;
--                _tzset();
--        }
--        GetSystemTimeAsFileTime (&ft);
--        li.LowPart =3D ft.dwLowDateTime;
--        li.HighPart =3D ft.dwHighDateTime;
--        t =3D li.QuadPart;
--        t -=3D EPOCHFILETIME;
--        t /=3D 10;
--        tv->tv_sec =3D (long)(t / 1000000);
--        tv->tv_usec =3D (long)(t % 1000000);
--        return 0;
--}
--
--/* ------------------------------------------------- */
- /*                   MLton.Itimer                    */
- /* ------------------------------------------------- */
-=20
diff -urN mlton.orig/files/patch-runtime-mingw.h mlton/files/patch-runtime-=
mingw.h
--- mlton.orig/files/patch-runtime-mingw.h	2014-01-22 09:40:44.000000000 -0=
800
+++ mlton/files/patch-runtime-mingw.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,20 +0,0 @@
---- runtime/platform/mingw.h.orig	2008-04-27 10:54:07.000000000 +1000
-+++ runtime/platform/mingw.h	2008-04-27 10:54:19.000000000 +1000
-@@ -85,17 +85,6 @@
- #define SHUT_RDWR SD_BOTH
-=20
- /* ------------------------------------------------- */
--/*                       Date                        */
--/* ------------------------------------------------- */
--
--struct timezone {
--    int tz_dsttime;
--    int tz_minuteswest;
--};
--
--int gettimeofday (struct timeval *tv, struct timezone *tz);
--
--/* ------------------------------------------------- */
- /*                   MLton.Itimer                    */
- /* ------------------------------------------------- */
-=20
diff -urN mlton.orig/pkg-plist mlton/pkg-plist
--- mlton.orig/pkg-plist	2014-01-22 07:16:56.000000000 -0800
+++ mlton/pkg-plist	2014-03-02 17:37:21.000000000 -0800
@@ -18,6 +18,8 @@
 lib/mlton/include/c-common.h
 lib/mlton/include/c-main.h
 lib/mlton/include/cenv.h
+lib/mlton/include/common-main.h
+lib/mlton/include/export.h
 lib/mlton/include/gc.h
 lib/mlton/include/gc/align.h
 lib/mlton/include/gc/array-allocate.h
@@ -70,8 +72,8 @@
 lib/mlton/include/gc/weak.h
 lib/mlton/include/gc/world.h
 lib/mlton/include/interpret.h
-lib/mlton/include/main.h
 lib/mlton/include/ml-types.h
+lib/mlton/include/mlton-main.h
 lib/mlton/include/platform.h
 lib/mlton/include/platform/aix.h
 lib/mlton/include/platform/alpha.h
@@ -79,11 +81,11 @@
 lib/mlton/include/platform/arm.h
 lib/mlton/include/platform/cygwin.h
 lib/mlton/include/platform/darwin.h
-lib/mlton/include/platform/feround.h
 lib/mlton/include/platform/float-math.h
 lib/mlton/include/platform/freebsd.h
 lib/mlton/include/platform/hppa.h
 lib/mlton/include/platform/hpux.h
+lib/mlton/include/platform/hurd.h
 lib/mlton/include/platform/ia64.h
 lib/mlton/include/platform/linux.h
 lib/mlton/include/platform/m68k.h
@@ -92,6 +94,7 @@
 lib/mlton/include/platform/netbsd.h
 lib/mlton/include/platform/openbsd.h
 lib/mlton/include/platform/powerpc.h
+lib/mlton/include/platform/powerpc64.h
 lib/mlton/include/platform/s390.h
 lib/mlton/include/platform/setenv.h
 lib/mlton/include/platform/solaris.h
@@ -110,20 +113,7 @@
 lib/mlton/mlton-compile
 lib/mlton/opcodes
 lib/mlton/platform
-lib/mlton/self/constants
-lib/mlton/self/include/c-types.h
-lib/mlton/self/libgdtoa.a
-lib/mlton/self/libmlton-gdb.a
-lib/mlton/self/libmlton.a
-lib/mlton/self/sizes
-%%MINGW32CROSS%%lib/mlton/mingw32/constants
-%%MINGW32CROSS%%lib/mlton/mingw32/include/c-types.h
-%%MINGW32CROSS%%lib/mlton/mingw32/libgdtoa.a
-%%MINGW32CROSS%%lib/mlton/mingw32/libmlton-gdb.a
-%%MINGW32CROSS%%lib/mlton/mingw32/libmlton.a
-%%MINGW32CROSS%%lib/mlton/mingw32/sizes
 lib/mlton/sml/basis/Makefile
-lib/mlton/sml/basis/README
 lib/mlton/sml/basis/arrays-and-vectors/array-slice.sig
 lib/mlton/sml/basis/arrays-and-vectors/array.sig
 lib/mlton/sml/basis/arrays-and-vectors/array.sml
@@ -150,6 +140,8 @@
 lib/mlton/sml/basis/basis.mlb
 lib/mlton/sml/basis/build/sources.mlb
 lib/mlton/sml/basis/c-types.mlb
+lib/mlton/sml/basis/c/pointer.sig
+lib/mlton/sml/basis/c/pointer.sml
 lib/mlton/sml/basis/config/bind/char-prim.sml
 lib/mlton/sml/basis/config/bind/int-inf-prim.sml
 lib/mlton/sml/basis/config/bind/int-inf-top.sml
@@ -167,8 +159,6 @@
 lib/mlton/sml/basis/config/c/sys-types.sml
 lib/mlton/sml/basis/config/c/sys-word.sml
 lib/mlton/sml/basis/config/c/word-to-bool.sml
-lib/mlton/sml/basis/config/c/x86-freebsd/c-types.sml
-%%MINGW32CROSS%%lib/mlton/sml/basis/config/c/x86-mingw/c-types.sml
 lib/mlton/sml/basis/config/choose-char.sml
 lib/mlton/sml/basis/config/choose-int.sml
 lib/mlton/sml/basis/config/choose-real.sml
@@ -330,11 +320,6 @@
 lib/mlton/sml/basis/list/list-pair.sml
 lib/mlton/sml/basis/list/list.sig
 lib/mlton/sml/basis/list/list.sml
-lib/mlton/sml/basis/maps/c-types.amd64-linux.map
-lib/mlton/sml/basis/maps/c-types.test-amd64-m32-linux.map
-lib/mlton/sml/basis/maps/c-types.test-amd64-m64-linux.map
-lib/mlton/sml/basis/maps/c-types.test-weird-weird.map
-lib/mlton/sml/basis/maps/c-types.x86-linux.map
 lib/mlton/sml/basis/maps/header-word32.map
 lib/mlton/sml/basis/maps/header-word64.map
 lib/mlton/sml/basis/maps/objptr-rep32.map
@@ -434,6 +419,7 @@
 lib/mlton/sml/basis/posix/io.sml
 lib/mlton/sml/basis/posix/posix.sig
 lib/mlton/sml/basis/posix/posix.sml
+lib/mlton/sml/basis/posix/pre-posix.sml
 lib/mlton/sml/basis/posix/proc-env.sig
 lib/mlton/sml/basis/posix/proc-env.sml
 lib/mlton/sml/basis/posix/process.sig
@@ -524,6 +510,8 @@
 lib/mlton/sml/basis/unsafe.mlb
 lib/mlton/sml/basis/util/CUtil.sig
 lib/mlton/sml/basis/util/CUtil.sml
+lib/mlton/sml/basis/util/abs-rep.fun
+lib/mlton/sml/basis/util/abs-rep.sig
 lib/mlton/sml/basis/util/cleaner.sig
 lib/mlton/sml/basis/util/cleaner.sml
 lib/mlton/sml/basis/util/dynamic-wind.sig
@@ -540,14 +528,8 @@
 lib/mlton/sml/basis/util/unique-id.sig
 lib/mlton/sml/ckit-lib/BUGS
 lib/mlton/sml/ckit-lib/HISTORY
-lib/mlton/sml/ckit-lib/README
-lib/mlton/sml/ckit-lib/README.mlton
-lib/mlton/sml/ckit-lib/README.mlton.orig
 lib/mlton/sml/ckit-lib/ckit-lib.mlb
 lib/mlton/sml/ckit-lib/ckit-lib.mlb.orig
-lib/mlton/sml/ckit-lib/doc/overview
-lib/mlton/sml/ckit-lib/doc/overview.html
-lib/mlton/sml/ckit-lib/doc/todo
 lib/mlton/sml/ckit-lib/regression/README
 lib/mlton/sml/ckit-lib/regression/invalid-programs/a208.c
 lib/mlton/sml/ckit-lib/regression/invalid-programs/a37.c
@@ -1053,11 +1035,11 @@
 lib/mlton/sml/cml/util/timeit.sig
 lib/mlton/sml/cml/util/timeit.sml
 lib/mlton/sml/cml/util/util.mlb
-lib/mlton/sml/mlnlffi-lib/README
-lib/mlton/sml/mlnlffi-lib/README.mlton
+lib/mlton/sml/mlnlffi-lib/Makefile
 lib/mlton/sml/mlnlffi-lib/c-debug.sig
 lib/mlton/sml/mlnlffi-lib/c.mlb
 lib/mlton/sml/mlnlffi-lib/c.sig
+lib/mlton/sml/mlnlffi-lib/gen-rtld-flags.c
 lib/mlton/sml/mlnlffi-lib/internals/c-debug.sml
 lib/mlton/sml/mlnlffi-lib/internals/c-int.mlb
 lib/mlton/sml/mlnlffi-lib/internals/c-int.sig
@@ -1083,128 +1065,15 @@
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.darwin.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.freebsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.hpux.mlb
+lib/mlton/sml/mlnlffi-lib/memory/platform/memory.hurd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.linux.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.mingw.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.netbsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.openbsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.solaris.mlb
+lib/mlton/sml/mlnlffi-lib/memory/platform/rtld-flags.freebsd.sml
 lib/mlton/sml/mlnlffi-lib/mlnlffi-lib.mlb
 lib/mlton/sml/mlnlffi-lib/zstring.sig
-lib/mlton/sml/mlrisc-lib/Doc/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/README
-lib/mlton/sml/mlrisc-lib/Doc/graphics/fun-ssa-value-graph.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-cdg-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-cfg-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-ddg.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-dom-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-loop-nesting.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-opt.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-region-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-ssa.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/smlnj.jpg
-lib/mlton/sml/mlrisc-lib/Doc/graphics/vh32.png
-lib/mlton/sml/mlrisc-lib/Doc/graphics/vh401.gif
-lib/mlton/sml/mlrisc-lib/Doc/html/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex.thm
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex2html
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex2html.orig
-lib/mlton/sml/mlrisc-lib/Doc/latex/C6.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ILP.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/INTRO.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/latex/SSA.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/VLIW.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/alpha.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/annotations.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/asm.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/availability.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/backend-opt.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/cells.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/cluster.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/compiler-graphs.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/constants.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/contributions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/contributors.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/delayslots.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/freq.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/future-work.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/gc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/graphics.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/graphs.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/hppa.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/instrsel.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/instructions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/labelexp.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/labels.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/line-counts.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/md.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mips.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-arch.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-compiler.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-gen.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-graphics.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ir-rep.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ir.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-md.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ra.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc.bib
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltex.sty
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltex.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltexdoc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree-ext.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree-util.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/optimizations.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ppc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/problem.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/pseudo-ops.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ra.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/regions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/regmap.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/requirements.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sml.sty
-lib/mlton/sml/mlrisc-lib/Doc/latex/sml.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/span-dep.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sparc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/streams.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sys-integration.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/systems.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/x86.tex
-lib/mlton/sml/mlrisc-lib/Doc/pictures/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/big-pict.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/big-pict2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cdg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cfg-rev.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cfg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler-1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler-2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/dom.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hof-1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hof-2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hyperblock-formation.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/if-conversion.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/layers.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/mlrisc-IR.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/mlrisc-ir-archive.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/optimization.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/pdom.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/phg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/region-builder.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing3.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/subgraph.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/tail-dupl.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/tail-duplication.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/trace.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/viewer.fig
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-glue.sig
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-glue.sml
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-ssa-optimizer.sig
@@ -1238,8 +1107,6 @@
 lib/mlton/sml/mlrisc-lib/IR/sources.cm
 lib/mlton/sml/mlrisc-lib/IR/static-branch-prediction.sig
 lib/mlton/sml/mlrisc-lib/IR/static-branch-prediction.sml
-lib/mlton/sml/mlrisc-lib/README.mlton
-lib/mlton/sml/mlrisc-lib/README.mlton.orig
 lib/mlton/sml/mlrisc-lib/SSA/SSA.cm
 lib/mlton/sml/mlrisc-lib/SSA/bitmap.sml
 lib/mlton/sml/mlrisc-lib/SSA/cfg2ssa.sig
@@ -1416,10 +1283,14 @@
 lib/mlton/sml/mlrisc-lib/amd64/amd64.mdl.orig
 lib/mlton/sml/mlrisc-lib/amd64/amd64MC.sml
 lib/mlton/sml/mlrisc-lib/amd64/amd64MC.sml.orig
+lib/mlton/sml/mlrisc-lib/amd64/amd64MCFn.sml
+lib/mlton/sml/mlrisc-lib/amd64/amd64MCFn.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/backpatch/amd64Jumps.sml
 lib/mlton/sml/mlrisc-lib/amd64/backpatch/amd64Jumps.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/emit/amd64Asm.sml
 lib/mlton/sml/mlrisc-lib/amd64/emit/amd64Asm.sml.orig
+lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64-darwin-pseudo-ops.sml
+lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64-darwin-pseudo-ops.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64GasPseudoOps.sml
 lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64GasPseudoOps.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/instructions/amd64Cells.sml
@@ -1442,9 +1313,6 @@
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64RegAlloc.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64SpillInstr.sml
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64SpillInstr.sml.orig
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/amd64-svid.sml
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/amd64-svid.sml.orig
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/c-sizes.sml
 lib/mlton/sml/mlrisc-lib/autoload.sml
 lib/mlton/sml/mlrisc-lib/backpatch/backpatch.sml
 lib/mlton/sml/mlrisc-lib/backpatch/backpatch.sml.orig
@@ -1467,8 +1335,60 @@
 lib/mlton/sml/mlrisc-lib/block-placement/jump-chain-elim-fn.sml.orig
 lib/mlton/sml/mlrisc-lib/block-placement/weighted-block-placement-fn.sml
 lib/mlton/sml/mlrisc-lib/block-placement/weighted-block-placement-fn.sml.o=
rig
+lib/mlton/sml/mlrisc-lib/c-call/README
+lib/mlton/sml/mlrisc-lib/c-call/archs/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-call-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-call-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-sizes.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-svid-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-svid-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-svid-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-svid-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-sig.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-type.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-type.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/test/Makefile
+lib/mlton/sml/mlrisc-lib/c-call/test/c-sparc-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-test-gen.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-x86-64-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-x86-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/group.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/spill-table.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/test-varargs.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/wrapper.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/x86-64-elf.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/located-arg-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/marshal.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/smlnj-prim-c-call.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-call-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-call.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-constants.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/Makefile
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/located-arg.h
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/mlrisc-gen-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/sparc-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/test-interp.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/test.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/util.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-sparc.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-x86-darwin.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-x86-linux.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/x86-64-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/x86-gen-fn.sml
 lib/mlton/sml/mlrisc-lib/c-calls/c-calls.sig
 lib/mlton/sml/mlrisc-lib/c-calls/c-types.sml
+lib/mlton/sml/mlrisc-lib/c-calls/c-types.sml.orig
 lib/mlton/sml/mlrisc-lib/c-calls/unimplemented-c-calls.sml
 lib/mlton/sml/mlrisc-lib/c-calls/unimplemented-c-calls.sml.orig
 lib/mlton/sml/mlrisc-lib/cluster/clusterGraph.sig
@@ -1488,6 +1408,13 @@
 lib/mlton/sml/mlrisc-lib/cm/AMD64-SSA.cm
 lib/mlton/sml/mlrisc-lib/cm/AMD64-Sched.cm
 lib/mlton/sml/mlrisc-lib/cm/AMD64.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-Vararg.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-VarargCall.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-VarargInterp.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-sparc.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-x86-64.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-x86.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall.cm
 lib/mlton/sml/mlrisc-lib/cm/Control.cm
 lib/mlton/sml/mlrisc-lib/cm/GC.cm
 lib/mlton/sml/mlrisc-lib/cm/Graphs.cm
@@ -1515,7 +1442,6 @@
 lib/mlton/sml/mlrisc-lib/cm/RA.cm
 lib/mlton/sml/mlrisc-lib/cm/RTL.cm
 lib/mlton/sml/mlrisc-lib/cm/Region.cm
-lib/mlton/sml/mlrisc-lib/cm/SA.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-GC.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-Peephole.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-RTL.cm
@@ -1524,6 +1450,7 @@
 lib/mlton/sml/mlrisc-lib/cm/SPARC.cm
 lib/mlton/sml/mlrisc-lib/cm/SSA.cm
 lib/mlton/sml/mlrisc-lib/cm/Sched.cm
+lib/mlton/sml/mlrisc-lib/cm/StagedAlloc.cm
 lib/mlton/sml/mlrisc-lib/cm/VLIW.cm
 lib/mlton/sml/mlrisc-lib/cm/Visual.cm
 lib/mlton/sml/mlrisc-lib/cm/ir-archive.cm
@@ -1539,13 +1466,18 @@
 lib/mlton/sml/mlrisc-lib/demo/build-110.25.sml
 lib/mlton/sml/mlrisc-lib/demo/build-110.29.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-alpha.sml
+lib/mlton/sml/mlrisc-lib/demo/demo-amd64.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-backend.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-sparc.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-types.sml
 lib/mlton/sml/mlrisc-lib/demo/eg-alpha.sml
+lib/mlton/sml/mlrisc-lib/demo/eg-amd64.sml
 lib/mlton/sml/mlrisc-lib/demo/eg-sparc.sml
+lib/mlton/sml/mlrisc-lib/demo/group.cm
+lib/mlton/sml/mlrisc-lib/demo/sources-amd64.cm
 lib/mlton/sml/mlrisc-lib/demo/sources.cm
 lib/mlton/sml/mlrisc-lib/demo/spill-table.sml
+lib/mlton/sml/mlrisc-lib/demo/wrapper.cm
 lib/mlton/sml/mlrisc-lib/emit/asm-flags.sml
 lib/mlton/sml/mlrisc-lib/emit/asmEmit.sig
 lib/mlton/sml/mlrisc-lib/emit/asmStream.sml
@@ -1870,6 +1802,14 @@
 lib/mlton/sml/mlrisc-lib/mlb/AMD64-Peephole.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/AMD64.mlb
 lib/mlton/sml/mlrisc-lib/mlb/AMD64.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-sparc.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-sparc.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86-64.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86-64.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Control.mlb
 lib/mlton/sml/mlrisc-lib/mlb/Control.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Graphs.mlb
@@ -1892,10 +1832,10 @@
 lib/mlton/sml/mlrisc-lib/mlb/Peephole.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/RA.mlb
 lib/mlton/sml/mlrisc-lib/mlb/RA.mlb.orig
-lib/mlton/sml/mlrisc-lib/mlb/SA.mlb
-lib/mlton/sml/mlrisc-lib/mlb/SA.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/SPARC.mlb
 lib/mlton/sml/mlrisc-lib/mlb/SPARC.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/StagedAlloc.mlb
+lib/mlton/sml/mlrisc-lib/mlb/StagedAlloc.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Visual.mlb
 lib/mlton/sml/mlrisc-lib/mlb/Visual.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlrisc-lib.mlb
@@ -1910,6 +1850,8 @@
 lib/mlton/sml/mlrisc-lib/mltree/machine-int.sml
 lib/mlton/sml/mlrisc-lib/mltree/mltree-basis.sig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-basis.sml
+lib/mlton/sml/mlrisc-lib/mltree/mltree-check-ty.sml
+lib/mlton/sml/mlrisc-lib/mltree/mltree-check-ty.sml.orig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-eval.sig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-eval.sml
 lib/mlton/sml/mlrisc-lib/mltree/mltree-extension.sig
@@ -2113,11 +2055,14 @@
 lib/mlton/sml/mlrisc-lib/sparc/ra/sparcRewrite.sml
 lib/mlton/sml/mlrisc-lib/sparc/ra/sparcSpillInstr.sml
 lib/mlton/sml/mlrisc-lib/sparc/sparc.mdl
-lib/mlton/sml/mlrisc-lib/staged-allocation/c-call-sig.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/call-conv-sig.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-fn.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-fn.sml.orig
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-sig.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/README
+lib/mlton/sml/mlrisc-lib/staged-alloc/allocator/staged-allocation-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/allocator/staged-allocation-sig.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/c-loc-kind.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/power-pc-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/sparc-c-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/x86-64-c-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/x86-c-fn.sml
 lib/mlton/sml/mlrisc-lib/visualization/allDisplays.sml
 lib/mlton/sml/mlrisc-lib/visualization/cfgViewer.sml
 lib/mlton/sml/mlrisc-lib/visualization/cfgViewer.sml.orig
@@ -2183,10 +2128,10 @@
 lib/mlton/sml/mlyacc-lib/base.sig
 lib/mlton/sml/mlyacc-lib/join.sml
 lib/mlton/sml/mlyacc-lib/lrtable.sml
+lib/mlton/sml/mlyacc-lib/ml-yacc-lib.cm
 lib/mlton/sml/mlyacc-lib/mlyacc-lib.mlb
 lib/mlton/sml/mlyacc-lib/parser1.sml
 lib/mlton/sml/mlyacc-lib/parser2.sml
-lib/mlton/sml/mlyacc-lib/sources.cm
 lib/mlton/sml/mlyacc-lib/stream.sml
 lib/mlton/sml/smlnj-lib/CHANGES
 lib/mlton/sml/smlnj-lib/CPP/README
@@ -2203,66 +2148,6 @@
 lib/mlton/sml/smlnj-lib/Controls/controls.sml
 lib/mlton/sml/smlnj-lib/Controls/registry-sig.sml
 lib/mlton/sml/smlnj-lib/Controls/registry.sml
-lib/mlton/sml/smlnj-lib/Doc/BasisInfo/HTML.info
-lib/mlton/sml/smlnj-lib/Doc/CATALOG
-lib/mlton/sml/smlnj-lib/Doc/Config.cfg
-lib/mlton/sml/smlnj-lib/Doc/Entities.sgml
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-registry.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-set.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-util.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/controls-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/controls.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/HashCons/hash-cons.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/engine-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/match-tree.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/parser-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-intro.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/syntax.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-env.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-path.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-qsort-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-qsort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-sort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/atom.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/binary-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/binary-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bit-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bit-vector.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bsearch.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/char-map.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/dynamic-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/fifo.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/iterate.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/lib-base.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-format.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-xprod.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/listsort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/mono-array-sort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/mono-dynamic-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-key.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-map.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-set.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/queue.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/rand.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/random.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splay-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splay-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splaytree.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/uref.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/util-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/intro-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/smlnj-lib.mldoc
-lib/mlton/sml/smlnj-lib/Doc/config.sh
-lib/mlton/sml/smlnj-lib/Doc/index.template
-lib/mlton/sml/smlnj-lib/Doc/input
-lib/mlton/sml/smlnj-lib/Doc/page.template
-lib/mlton/sml/smlnj-lib/Doc/toc.template
 lib/mlton/sml/smlnj-lib/HTML/HTML32.dtd
 lib/mlton/sml/smlnj-lib/HTML/README
 lib/mlton/sml/smlnj-lib/HTML/check-html-fn.sml
@@ -2270,8 +2155,6 @@
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-fn.sml
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-fn.sml.orig
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-sig.sml
-lib/mlton/sml/smlnj-lib/HTML/html-cons-lib.mlb
-lib/mlton/sml/smlnj-lib/HTML/html-cons-lib.mlb.orig
 lib/mlton/sml/smlnj-lib/HTML/html-defaults.sml
 lib/mlton/sml/smlnj-lib/HTML/html-elements-fn.sml
 lib/mlton/sml/smlnj-lib/HTML/html-elements-fn.sml.orig
@@ -2314,6 +2197,18 @@
 lib/mlton/sml/smlnj-lib/INet/sock-util-sig.sml
 lib/mlton/sml/smlnj-lib/INet/sock-util.sml
 lib/mlton/sml/smlnj-lib/INet/unix-sock-util.sml
+lib/mlton/sml/smlnj-lib/JSON/README
+lib/mlton/sml/smlnj-lib/JSON/json-lib.cm
+lib/mlton/sml/smlnj-lib/JSON/json-lib.mlb
+lib/mlton/sml/smlnj-lib/JSON/json-lib.mlb.orig
+lib/mlton/sml/smlnj-lib/JSON/json-parser.sml
+lib/mlton/sml/smlnj-lib/JSON/json-printer.sml
+lib/mlton/sml/smlnj-lib/JSON/json-stream-parser.sml
+lib/mlton/sml/smlnj-lib/JSON/json-stream-printer.sml
+lib/mlton/sml/smlnj-lib/JSON/json-tokens.sml
+lib/mlton/sml/smlnj-lib/JSON/json.lex
+lib/mlton/sml/smlnj-lib/JSON/json.lex.sml
+lib/mlton/sml/smlnj-lib/JSON/json.sml
 lib/mlton/sml/smlnj-lib/PORTING
 lib/mlton/sml/smlnj-lib/PP/README
 lib/mlton/sml/smlnj-lib/PP/devices/ansi-term-dev.sml
@@ -2342,9 +2237,6 @@
 lib/mlton/sml/smlnj-lib/PP/tests/test-html.sml
 lib/mlton/sml/smlnj-lib/PP/tests/test.sml
 lib/mlton/sml/smlnj-lib/PP/tests/typp.sml
-lib/mlton/sml/smlnj-lib/README
-lib/mlton/sml/smlnj-lib/README.mlton
-lib/mlton/sml/smlnj-lib/README.mlton.orig
 lib/mlton/sml/smlnj-lib/Reactive/README
 lib/mlton/sml/smlnj-lib/Reactive/instruction.sml
 lib/mlton/sml/smlnj-lib/Reactive/machine.sml
@@ -2357,6 +2249,7 @@
 lib/mlton/sml/smlnj-lib/RegExp/BackEnd/dfa-engine.sml
 lib/mlton/sml/smlnj-lib/RegExp/BackEnd/engine-sig.sml
 lib/mlton/sml/smlnj-lib/RegExp/BackEnd/fsm.sml
+lib/mlton/sml/smlnj-lib/RegExp/BackEnd/thompson-engine.sml
 lib/mlton/sml/smlnj-lib/RegExp/FrontEnd/awk-syntax.sml
 lib/mlton/sml/smlnj-lib/RegExp/FrontEnd/parser-sig.sml
 lib/mlton/sml/smlnj-lib/RegExp/FrontEnd/syntax-sig.sml
@@ -2365,6 +2258,10 @@
 lib/mlton/sml/smlnj-lib/RegExp/Glue/regexp-fn.sml
 lib/mlton/sml/smlnj-lib/RegExp/Glue/regexp-sig.sml
 lib/mlton/sml/smlnj-lib/RegExp/README
+lib/mlton/sml/smlnj-lib/RegExp/Tests/engines.sml
+lib/mlton/sml/smlnj-lib/RegExp/Tests/run.sh
+lib/mlton/sml/smlnj-lib/RegExp/Tests/sources.cm
+lib/mlton/sml/smlnj-lib/RegExp/Tests/test-fn.sml
 lib/mlton/sml/smlnj-lib/RegExp/regexp-lib.cm
 lib/mlton/sml/smlnj-lib/RegExp/regexp-lib.mlb
 lib/mlton/sml/smlnj-lib/RegExp/regexp-lib.mlb.orig
@@ -2479,6 +2376,7 @@
 lib/mlton/sml/smlnj-lib/Util/random.sml
 lib/mlton/sml/smlnj-lib/Util/real-format.sml
 lib/mlton/sml/smlnj-lib/Util/real-order-stats.sml
+lib/mlton/sml/smlnj-lib/Util/real-order-stats.sml.orig
 lib/mlton/sml/smlnj-lib/Util/redblack-map-fn.sml
 lib/mlton/sml/smlnj-lib/Util/redblack-map-fn.sml.orig
 lib/mlton/sml/smlnj-lib/Util/redblack-set-fn.sml
@@ -2506,16 +2404,55 @@
 lib/mlton/sml/smlnj-lib/Util/word-hash-table.sml
 lib/mlton/sml/smlnj-lib/Util/word-redblack-map.sml
 lib/mlton/sml/smlnj-lib/Util/word-redblack-set.sml
+lib/mlton/sml/smlnj-lib/XML/README
+lib/mlton/sml/smlnj-lib/XML/xml-lib.cm
+lib/mlton/sml/smlnj-lib/XML/xml-sig.sml
 lib/mlton/sml/smlnj-lib/smlnj-lib.mlb
 lib/mlton/sml/smlnj-lib/smlnj-lib.mlb.orig
-lib/mlton/target-map
-lib/mlton/world.mlton
+lib/mlton/static-library
+lib/mlton/targets/self/arch
+lib/mlton/targets/self/constants
+lib/mlton/targets/self/include/c-types.h
+lib/mlton/targets/self/libgdtoa-gdb.a
+lib/mlton/targets/self/libgdtoa-pic.a
+lib/mlton/targets/self/libgdtoa.a
+lib/mlton/targets/self/libmlton-gdb.a
+lib/mlton/targets/self/libmlton-pic.a
+lib/mlton/targets/self/libmlton.a
+lib/mlton/targets/self/os
+lib/mlton/targets/self/sizes
+lib/mlton/targets/self/sml/c-types.sml
+man/man1/mllex.1.gz
+man/man1/mlprof.1.gz
+man/man1/mlton.1.gz
+man/man1/mlyacc.1.gz
+man/man1/mlnlffigen.1.gz
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/arch
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/constants
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/include/c-types.h
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libgdtoa-gdb.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libgdtoa-pic.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libmlton-gdb.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libgdtoa.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libmlton-pic.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/libmlton.a
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/os
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/sizes
+%%MINGW32CROSS%%lib/mlton/targets/mingw32/sml/c-types.sml
 %%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/basis/README
 %%PORTDOCS%%%%DOCSDIR%%/changelog
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/README
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/README.mlton
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/README.mlton.orig
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/doc/overview
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/doc/overview.html
+%%PORTDOCS%%%%DOCSDIR%%/ckit-lib/doc/todo
+%%PORTDOCS%%%%DOCSDIR%%/cm2mlb/Makefile
 %%PORTDOCS%%%%DOCSDIR%%/cm2mlb/cm2mlb-map
+%%PORTDOCS%%%%DOCSDIR%%/cm2mlb/cm2mlb.cm
 %%PORTDOCS%%%%DOCSDIR%%/cm2mlb/cm2mlb.sml
 %%PORTDOCS%%%%DOCSDIR%%/cm2mlb/gen-mlb.sml
-%%PORTDOCS%%%%DOCSDIR%%/cm2mlb/sources.cm
 %%PORTDOCS%%%%DOCSDIR%%/cmcat/cmcat.sml
 %%PORTDOCS%%%%DOCSDIR%%/cmcat/sources.cm
 %%PORTDOCS%%%%DOCSDIR%%/examples/Makefile
@@ -2561,6 +2498,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/Bugs20041109
 %%PORTDOCS%%%%DOCSDIR%%/guide/Bugs20051202
 %%PORTDOCS%%%%DOCSDIR%%/guide/Bugs20070826
+%%PORTDOCS%%%%DOCSDIR%%/guide/Bugs20100608
 %%PORTDOCS%%%%DOCSDIR%%/guide/CKitLibrary
 %%PORTDOCS%%%%DOCSDIR%%/guide/CMinusMinus
 %%PORTDOCS%%%%DOCSDIR%%/guide/CallGraph
@@ -2572,6 +2510,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/Chunkify
 %%PORTDOCS%%%%DOCSDIR%%/guide/Closure
 %%PORTDOCS%%%%DOCSDIR%%/guide/ClosureConvert
+%%PORTDOCS%%%%DOCSDIR%%/guide/CombineConversions
 %%PORTDOCS%%%%DOCSDIR%%/guide/CommonArg
 %%PORTDOCS%%%%DOCSDIR%%/guide/CommonBlock
 %%PORTDOCS%%%%DOCSDIR%%/guide/CommonSubexp
@@ -2610,6 +2549,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/EqualityTypeVariable
 %%PORTDOCS%%%%DOCSDIR%%/guide/EtaExpansion
 %%PORTDOCS%%%%DOCSDIR%%/guide/FAQ
+%%PORTDOCS%%%%DOCSDIR%%/guide/FSharp
 %%PORTDOCS%%%%DOCSDIR%%/guide/Features
 %%PORTDOCS%%%%DOCSDIR%%/guide/FirstClassPolymorphism
 %%PORTDOCS%%%%DOCSDIR%%/guide/Fixpoints
@@ -2658,6 +2598,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/LanguageChanges
 %%PORTDOCS%%%%DOCSDIR%%/guide/Lazy
 %%PORTDOCS%%%%DOCSDIR%%/guide/Libraries
+%%PORTDOCS%%%%DOCSDIR%%/guide/LibrarySupport
 %%PORTDOCS%%%%DOCSDIR%%/guide/License
 %%PORTDOCS%%%%DOCSDIR%%/guide/LineDirective
 %%PORTDOCS%%%%DOCSDIR%%/guide/LocalFlatten
@@ -2672,15 +2613,19 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLBasisPathMap
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLBasisSyntaxAndSemantics
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLKit
+%%PORTDOCS%%%%DOCSDIR%%/guide/MLLex
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLNLFFI
+%%PORTDOCS%%%%DOCSDIR%%/guide/MLNLFFIGen
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLNLFFIImplementation
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLRISCLibrary
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLTONWIKIVERSION
+%%PORTDOCS%%%%DOCSDIR%%/guide/MLYacc
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLj
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLmon
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonArray
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonBinIO
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonCont
+%%PORTDOCS%%%%DOCSDIR%%/guide/MLtonContIsolateImplementation
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonExn
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonFinalizable
 %%PORTDOCS%%%%DOCSDIR%%/guide/MLtonGC
@@ -2720,6 +2665,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/MoscowML
 %%PORTDOCS%%%%DOCSDIR%%/guide/Multi
 %%PORTDOCS%%%%DOCSDIR%%/guide/Mutable
+%%PORTDOCS%%%%DOCSDIR%%/guide/NeedsReview
 %%PORTDOCS%%%%DOCSDIR%%/guide/NumericLiteral
 %%PORTDOCS%%%%DOCSDIR%%/guide/OCaml
 %%PORTDOCS%%%%DOCSDIR%%/guide/ObjectOrientedProgramming
@@ -2736,6 +2682,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/PhantomType
 %%PORTDOCS%%%%DOCSDIR%%/guide/PlatformSpecificNotes
 %%PORTDOCS%%%%DOCSDIR%%/guide/PolyEqual
+%%PORTDOCS%%%%DOCSDIR%%/guide/PolyHash
 %%PORTDOCS%%%%DOCSDIR%%/guide/PolyML
 %%PORTDOCS%%%%DOCSDIR%%/guide/PolymorphicEquality
 %%PORTDOCS%%%%DOCSDIR%%/guide/Polyvariance
@@ -2766,6 +2713,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/Release20041109
 %%PORTDOCS%%%%DOCSDIR%%/guide/Release20051202
 %%PORTDOCS%%%%DOCSDIR%%/guide/Release20070826
+%%PORTDOCS%%%%DOCSDIR%%/guide/Release20100608
 %%PORTDOCS%%%%DOCSDIR%%/guide/ReleaseChecklist
 %%PORTDOCS%%%%DOCSDIR%%/guide/RemoveUnused
 %%PORTDOCS%%%%DOCSDIR%%/guide/Restore
@@ -2773,16 +2721,21 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunTimeOptions
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnAIX
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnAMD64
+%%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnARM
+%%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnAlpha
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnCygwin
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnDarwin
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnFreeBSD
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnHPPA
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnHPUX
+%%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnIA64
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnLinux
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnMinGW
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnNetBSD
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnOpenBSD
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnPowerPC
+%%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnPowerPC64
+%%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnS390
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnSolaris
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnSparc
 %%PORTDOCS%%%%DOCSDIR%%/guide/RunningOnX86
@@ -2816,13 +2769,12 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/StandardMLImplementations
 %%PORTDOCS%%%%DOCSDIR%%/guide/StandardMLPortability
 %%PORTDOCS%%%%DOCSDIR%%/guide/StandardMLTutorials
+%%PORTDOCS%%%%DOCSDIR%%/guide/StaticSum
 %%PORTDOCS%%%%DOCSDIR%%/guide/StephenWeeks
 %%PORTDOCS%%%%DOCSDIR%%/guide/StyleGuide
 %%PORTDOCS%%%%DOCSDIR%%/guide/Subversion
 %%PORTDOCS%%%%DOCSDIR%%/guide/SuccessorML
 %%PORTDOCS%%%%DOCSDIR%%/guide/SureshJagannathan
-%%PORTDOCS%%%%DOCSDIR%%/guide/Survey
-%%PORTDOCS%%%%DOCSDIR%%/guide/SurveyDone
 %%PORTDOCS%%%%DOCSDIR%%/guide/Swerve
 %%PORTDOCS%%%%DOCSDIR%%/guide/SyntacticConventions
 %%PORTDOCS%%%%DOCSDIR%%/guide/SystemInfo
@@ -2841,6 +2793,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/TalkTemplate
 %%PORTDOCS%%%%DOCSDIR%%/guide/TalkWholeProgram
 %%PORTDOCS%%%%DOCSDIR%%/guide/TipsForWritingConciseSML
+%%PORTDOCS%%%%DOCSDIR%%/guide/TitleIndex
 %%PORTDOCS%%%%DOCSDIR%%/guide/ToMachine
 %%PORTDOCS%%%%DOCSDIR%%/guide/ToRSSA
 %%PORTDOCS%%%%DOCSDIR%%/guide/ToSSA2
@@ -2862,6 +2815,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/Variant
 %%PORTDOCS%%%%DOCSDIR%%/guide/VesaKarvonen
 %%PORTDOCS%%%%DOCSDIR%%/guide/WantedPages
+%%PORTDOCS%%%%DOCSDIR%%/guide/WarnUnusedAnomalies
 %%PORTDOCS%%%%DOCSDIR%%/guide/WebSite
 %%PORTDOCS%%%%DOCSDIR%%/guide/WesleyTerpstra
 %%PORTDOCS%%%%DOCSDIR%%/guide/WholeProgramOptimization
@@ -2880,6 +2834,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/guide/fxp
 %%PORTDOCS%%%%DOCSDIR%%/guide/index.html
 %%PORTDOCS%%%%DOCSDIR%%/guide/mGTK
+%%PORTDOCS%%%%DOCSDIR%%/guide/mlton-guide.pdf
 %%PORTDOCS%%%%DOCSDIR%%/guide/moin-bottom.png
 %%PORTDOCS%%%%DOCSDIR%%/guide/moin-email.png
 %%PORTDOCS%%%%DOCSDIR%%/guide/moin-ftp.png
@@ -2897,32 +2852,247 @@
 %%PORTDOCS%%%%DOCSDIR%%/license/gdtoa-LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/license/gmp-LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/mllex.pdf
+%%PORTDOCS%%%%DOCSDIR%%/mlnlffi-lib/README
+%%PORTDOCS%%%%DOCSDIR%%/mlnlffi-lib/README.mlton
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/README
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/fun-ssa-value-graph.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-cdg-survey.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-cfg-survey.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-ddg.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-dom-survey.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-loop-nesting.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-opt.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-region-survey.g=
if
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/mandelbrot-ssa.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/smlnj.jpg
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/vh32.png
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/graphics/vh401.gif
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/html/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/html/mltex.thm
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/html/mltex2html
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/html/mltex2html.orig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/C6.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/ILP.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/INTRO.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/SSA.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/VLIW.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/alpha.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/annotations.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/asm.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/availability.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/backend-opt.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/cells.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/cluster.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/compiler-graphs.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/constants.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/contributions.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/contributors.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/delayslots.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/freq.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/future-work.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/gc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/graphics.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/graphs.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/hppa.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/instrsel.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/instructions.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/labelexp.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/labels.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/line-counts.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/md.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mips.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-arch.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-compiler.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-gen.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-graphics.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-ir-rep.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-ir.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-md.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc-ra.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc.bib
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mlrisc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltex.sty
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltex.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltexdoc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltree-ext.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltree-util.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/mltree.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/optimizations.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/ppc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/problem.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/pseudo-ops.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/ra.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/regions.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/regmap.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/requirements.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/sml.sty
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/sml.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/span-dep.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/sparc.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/streams.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/sys-integration.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/systems.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/latex/x86.tex
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/big-pict.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/big-pict2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/cdg.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/cfg-rev.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/cfg.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/compiler-1.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/compiler-2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/compiler.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/compiler2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/dom.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/hof-1.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/hof-2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/hyperblock-formation.f=
ig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/if-conversion.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/layers.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/mlrisc-IR.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/mlrisc-ir-archive.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/optimization.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/pdom.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/phg.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/region-builder.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/sharing1.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/sharing2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/sharing3.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/subgraph.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/tail-dupl.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/tail-duplication.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/trace.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/uncol.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/uncol1.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/uncol2.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig/viewer.fig
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/README.mlton
+%%PORTDOCS%%%%DOCSDIR%%/mlrisc-lib/README.mlton.orig
 %%PORTDOCS%%%%DOCSDIR%%/mlton-guide.pdf
 %%PORTDOCS%%%%DOCSDIR%%/mlyacc.pdf
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/BasisInfo/HTML.info
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/CATALOG
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/Config.cfg
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/Entities.sgml
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls/control-registry.mld=
oc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls/control-set.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls/control-util.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls/controls-lib-part.ml=
doc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls/controls.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/HashCons/hash-cons.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/engine-sig.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/match-tree.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/parser-sig.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/regexp-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/regexp-intro.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/regexp-lib-part.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/regexp-sig.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp/syntax.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Unix/unix-env.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Unix/unix-lib-part.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Unix/unix-path.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/array-qsort-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/array-qsort.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/array-sort.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/atom.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/binary-map-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/binary-set-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/bit-array.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/bit-vector.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/bsearch.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/char-map.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/dynamic-array.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/fifo.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/iterate.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/lib-base.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/list-format.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/list-map-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/list-set-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/list-xprod.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/listsort.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/mono-array-sort.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/mono-dynamic-array.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/ord-key.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/ord-map.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/ord-set.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/queue.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/rand.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/random.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/splay-map-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/splay-set-fn.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/splaytree.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/uref.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util/util-lib-part.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/intro-part.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/smlnj-lib.mldoc
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/config.sh
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/index.template
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/input
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/page.template
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/Doc/toc.template
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/README
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/README.mlton
+%%PORTDOCS%%%%DOCSDIR%%/smlnj-lib/README.mlton.orig
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Util
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Unix
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/RegExp
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/HashCons
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc/Controls
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/ML-Doc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc/BasisInfo
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib/Doc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/smlnj-lib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlyacc-lib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc/pictures/fig
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc/pictures
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc/latex
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc/html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc/graphics
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib/Doc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlrisc-lib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/mlnlffi-lib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/license
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/guide
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/save-world
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/profiling
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/finalizable
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/ffi
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cml
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmcat
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cm2mlb
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/ckit-lib/doc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/ckit-lib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/basis
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm lib/mlton/targets/self/sml
+@dirrm lib/mlton/targets/self/include
+@dirrm lib/mlton/targets/self
+%%MINGW32CROSS%%@dirrm lib/mlton/targets/mingw32/sml
+%%MINGW32CROSS%%@dirrm lib/mlton/targets/mingw32/include
+%%MINGW32CROSS%%@dirrm lib/mlton/targets/mingw32
+@dirrm lib/mlton/targets
+@dirrm lib/mlton/sml/smlnj-lib/XML
 @dirrm lib/mlton/sml/smlnj-lib/Util
 @dirrm lib/mlton/sml/smlnj-lib/Unix
+@dirrm lib/mlton/sml/smlnj-lib/RegExp/Tests
 @dirrm lib/mlton/sml/smlnj-lib/RegExp/Glue
 @dirrm lib/mlton/sml/smlnj-lib/RegExp/FrontEnd
 @dirrm lib/mlton/sml/smlnj-lib/RegExp/BackEnd
 @dirrm lib/mlton/sml/smlnj-lib/RegExp
-@dirrm lib/mlton/sml/smlnj-lib/Reactive/OLD
 @dirrm lib/mlton/sml/smlnj-lib/Reactive
 @dirrm lib/mlton/sml/smlnj-lib/PP/tests
 @dirrm lib/mlton/sml/smlnj-lib/PP/src
 @dirrm lib/mlton/sml/smlnj-lib/PP/examples
 @dirrm lib/mlton/sml/smlnj-lib/PP/devices
 @dirrm lib/mlton/sml/smlnj-lib/PP
+@dirrm lib/mlton/sml/smlnj-lib/JSON
 @dirrm lib/mlton/sml/smlnj-lib/INet
 @dirrm lib/mlton/sml/smlnj-lib/HashCons
 @dirrm lib/mlton/sml/smlnj-lib/HTML
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc/HashCons
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls
-@dirrm lib/mlton/sml/smlnj-lib/Doc/ML-Doc
-@dirrm lib/mlton/sml/smlnj-lib/Doc/BasisInfo
-@dirrm lib/mlton/sml/smlnj-lib/Doc
 @dirrm lib/mlton/sml/smlnj-lib/Controls
 @dirrm lib/mlton/sml/smlnj-lib/CPP
 @dirrm lib/mlton/sml/smlnj-lib
@@ -2938,7 +3108,9 @@
 @dirrm lib/mlton/sml/mlrisc-lib/x86
 @dirrm lib/mlton/sml/mlrisc-lib/visualization
 @dirrm lib/mlton/sml/mlrisc-lib/util
-@dirrm lib/mlton/sml/mlrisc-lib/staged-allocation
+@dirrm lib/mlton/sml/mlrisc-lib/staged-alloc/conventions
+@dirrm lib/mlton/sml/mlrisc-lib/staged-alloc/allocator
+@dirrm lib/mlton/sml/mlrisc-lib/staged-alloc
 @dirrm lib/mlton/sml/mlrisc-lib/sparc/ra
 @dirrm lib/mlton/sml/mlrisc-lib/sparc/mltree
 @dirrm lib/mlton/sml/mlrisc-lib/sparc/instructions
@@ -2987,9 +3159,15 @@
 @dirrm lib/mlton/sml/mlrisc-lib/cm
 @dirrm lib/mlton/sml/mlrisc-lib/cluster
 @dirrm lib/mlton/sml/mlrisc-lib/c-calls
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/varargs/interp
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/varargs/call
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/varargs
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/test
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/gen
+@dirrm lib/mlton/sml/mlrisc-lib/c-call/archs
+@dirrm lib/mlton/sml/mlrisc-lib/c-call
 @dirrm lib/mlton/sml/mlrisc-lib/block-placement
 @dirrm lib/mlton/sml/mlrisc-lib/backpatch
-@dirrm lib/mlton/sml/mlrisc-lib/amd64/staged-allocation
 @dirrm lib/mlton/sml/mlrisc-lib/amd64/ra
 @dirrm lib/mlton/sml/mlrisc-lib/amd64/mltree
 @dirrm lib/mlton/sml/mlrisc-lib/amd64/instructions
@@ -3025,12 +3203,6 @@
 @dirrm lib/mlton/sml/mlrisc-lib/SSA
 @dirrm lib/mlton/sml/mlrisc-lib/IR
 @dirrm lib/mlton/sml/mlrisc-lib/Glue
-@dirrm lib/mlton/sml/mlrisc-lib/Doc/pictures/fig
-@dirrm lib/mlton/sml/mlrisc-lib/Doc/pictures
-@dirrm lib/mlton/sml/mlrisc-lib/Doc/latex
-@dirrm lib/mlton/sml/mlrisc-lib/Doc/html
-@dirrm lib/mlton/sml/mlrisc-lib/Doc/graphics
-@dirrm lib/mlton/sml/mlrisc-lib/Doc
 @dirrm lib/mlton/sml/mlrisc-lib
 @dirrm lib/mlton/sml/mlnlffi-lib/memory/platform
 @dirrm lib/mlton/sml/mlnlffi-lib/memory
@@ -3068,7 +3240,6 @@
 @dirrm lib/mlton/sml/ckit-lib/regression/output
 @dirrm lib/mlton/sml/ckit-lib/regression/invalid-programs
 @dirrm lib/mlton/sml/ckit-lib/regression
-@dirrm lib/mlton/sml/ckit-lib/doc
 @dirrm lib/mlton/sml/ckit-lib
 @dirrm lib/mlton/sml/basis/util
 @dirrm lib/mlton/sml/basis/top-level
@@ -3108,19 +3279,14 @@
 @dirrm lib/mlton/sml/basis/config/objptr
 @dirrm lib/mlton/sml/basis/config/header
 @dirrm lib/mlton/sml/basis/config/default
-@dirrm lib/mlton/sml/basis/config/c/x86-freebsd
-%%MINGW32CROSS%%@dirrm lib/mlton/sml/basis/config/c/x86-mingw
 @dirrm lib/mlton/sml/basis/config/c
 @dirrm lib/mlton/sml/basis/config/bind
 @dirrm lib/mlton/sml/basis/config
+@dirrm lib/mlton/sml/basis/c
 @dirrm lib/mlton/sml/basis/build
 @dirrm lib/mlton/sml/basis/arrays-and-vectors
 @dirrm lib/mlton/sml/basis
 @dirrm lib/mlton/sml
-@dirrm lib/mlton/self/include
-@dirrm lib/mlton/self
-%%MINGW32CROSS%%@dirrm lib/mlton/mingw32/include
-%%MINGW32CROSS%%@dirrm lib/mlton/mingw32
 @dirrm lib/mlton/include/util
 @dirrm lib/mlton/include/platform
 @dirrm lib/mlton/include/gc
@@ -3129,13 +3295,12 @@
 @dirrm lib/mlton/include/basis
 @dirrm lib/mlton/include
 @dirrm lib/mlton
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/license
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/guide
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/save-world
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/profiling
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/finalizable
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples/ffi
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmcat
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/cm2mlb
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%PORTDOCS%%@exec mkdir -p %D/%%DOCSDIR%%/mlyacc-lib
+%%PORTDOCS%%@exec mkdir -p %D/%%DOCSDIR%%/cml
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/util
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/extensions
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/alpha32/ra
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/alpha32/mltree
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/alpha32/instructions
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/alpha32/emit
+@exec mkdir -p %D/lib/mlton/sml/mlrisc-lib/alpha32/backpatch
--- mlton.diff ends here ---
Comment 6 Rene Ladan freebsd_committer 2014-03-06 13:23:48 UTC
Something is wrong with the pkg-plist, but I do not see what:
http://people.freebsd.org/~rene/mlton-20100608-10amd64.log

Note that e.g. lib/mlton/sml/smlnj-lib/XML/README *is* mentioned in
pkg-plist.

The patch I use is at
http://people.freebsd.org/~rene/patches/lang__mlton.diff

René
Comment 7 Timothy Beyer 2014-03-07 03:55:39 UTC
I manually modified the pkg-plist, rather than use genplist as I normally do.

I only tested the install/reinstall/deinstall targets, so it is possible that I
made some mistakes.  I'll take a look at it and submit another patch if
necessary.

Tim
Comment 8 Rene Ladan freebsd_committer 2014-03-07 17:56:05 UTC
I tested the patch on Redports and there the port builds fine, so it
might be a local problem or a problem with Poudriere.
Comment 9 dfilter service freebsd_committer 2014-03-07 17:57:19 UTC
Author: rene
Date: Fri Mar  7 17:57:07 2014
New Revision: 347412
URL: http://svnweb.freebsd.org/changeset/ports/347412
QAT: https://qat.redports.org/buildarchive/r347412/

Log:
  Bring lang/mlton back into shape.
  
  From the PR submitter:
  - Update to 20100608
  - Support amd64 natively
  - Update DISTFILES location to use Sourceforge
  - Add LICENSE_FILE
  - Ensure add-local-cross script is executable
  - Clean up old patches, replace trivial patches by REINPLACE_CMD
  - Mark SMLNJ option as broken for now.
  - Mark jobs unsafe.
  
  From myself:
  - Unexpire.
  - Add stage support
  - Add USE_GCC=any
  - Convert to USES
  - New LIB_DEPENDS format
  - Remove pre-FreeBSD 7.0 compatibility
  - Pass maintainership to submitter
  
  PR:		ports/177406
  Submitted by:	Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:	previous maintainer timeout (11 months)

Deleted:
  head/lang/mlton/files/patch-..-mlton-bootstrap-lib-mlton-include-cenv.h
  head/lang/mlton/files/patch-bin-mlton_script
  head/lang/mlton/files/patch-mlton-Makefile
  head/lang/mlton/files/patch-runtime-cenv.h
  head/lang/mlton/files/patch-runtime-mingw.c
  head/lang/mlton/files/patch-runtime-mingw.h
Modified:
  head/lang/mlton/Makefile
  head/lang/mlton/distinfo
  head/lang/mlton/files/add-local-cross
  head/lang/mlton/files/patch-Makefile
  head/lang/mlton/files/patch-runtime-Makefile
  head/lang/mlton/pkg-plist

Modified: head/lang/mlton/Makefile
==============================================================================
--- head/lang/mlton/Makefile	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/Makefile	Fri Mar  7 17:57:07 2014	(r347412)
@@ -1,38 +1,39 @@
 # Created by: Stephen Weeks <sweeks@sweeks.com>
 # $FreeBSD$
 
+# Previouly maintained by Jesper Louis Andersen
+# (jesper.louis.andersen@gmail.com) and Geoffrey Mainland
+# (mainland@apeiron.net)
+#
 # Because MLton is written in SML, it needs an SML compiler to build.
 # It is easiest to use another (earlier) binary version of MLton as
 # the SML compiler.  So, this Makefile fetches and installs an
 # alread-built version of MLton, BOOT_DIST, to use for bootstrapping.
 
 PORTNAME=	mlton
-PORTVERSION=	20070826
-PORTREVISION=	10
+PORTVERSION=	20100608
 CATEGORIES=	lang
-MASTER_SITES=	http://mlton.org/pages/Download/attachments/ \
-		http://mlton.org/pages/Experimental/attachments/ \
-		http://www.tbrk.org/distfiles/
-DISTFILES=	${BOOT_DIST} ${SRC_DIST}
+MASTER_SITES=	SF http://www.tbrk.org/distfiles/
+DISTFILES=	${SRC_DIST} ${BOOT_DIST}
 EXTRACT_ONLY=	${SRC_DIST}
 
-# Other maintainer is Geoffrey Mainland (mainland@apeiron.net)
-MAINTAINER=	jesper.louis.andersen@gmail.com
+MAINTAINER=	beyert@cs.ucr.edu
 COMMENT=	Optimizing Standard ML compiler
 
-LIB_DEPENDS=	gmp.10:${PORTSDIR}/math/gmp
+LIB_DEPENDS=	libgmp.so:${PORTSDIR}/math/gmp
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash
 
-BROKEN=	Does not build
-DEPRECATED=	Broken for more than 6 month
-EXPIRATION_DATE=	2014-02-27
+LICENSE_FILE=	doc/license/MLton-LICENSE
 
 OPTIONS_DEFINE=	SMLNJ MINGW32
 SMLNJ_DESC=	Bootstrap with SML/NJ (can take >15 hours)
 MINGW32_DESC=	Add the mingw32 target (requires wine)
 
-NO_STAGE=	yes
+MAKE_JOBS_UNSAFE=	yes
+USES=	gmake
+USE_GCC=	any
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDOCS}
@@ -40,24 +41,27 @@ BUILD_DEPENDS+=	gsed:${PORTSDIR}/textpro
 		htmldoc:${PORTSDIR}/textproc/htmldoc
 USE_TEX=	latex:build
 .else
-INSTALL_TARGET=	install-no-docs
+INSTALL_TARGET=	install-no-docs remove-docs
 ALL_TARGET=	all-no-docs
 .endif
 
-SRC_DIST=	${DISTNAME}-1.src.tgz
+SRC_DIST=	${DISTNAME}.src.tgz
+
+.if ${PORT_OPTIONS:MSMLNJ}
+BROKEN=	${DISTNAME}-${PORTVERSION} does not bootstrap properly with sml-nj
+.endif
 
 .if ${PORT_OPTIONS:MSMLNJ}
 BUILD_DEPENDS+=	smlnj-devel>=110.65:${PORTSDIR}/lang/sml-nj-devel
 BOOT_DIST=
 MAKE_ENV+=	SMLNJ_DEVEL=yes
 .if ! ${PORT_OPTIONS:MDOCS}
-ALL_TARGET=	nj-mlton all-no-docs
+ALL_TARGET=	smlnj-mlton all-no-docs
 .else
-ALL_TARGET=	bootstrap-nj
+ALL_TARGET=	smlnj-mlton all
 .endif
 .else
-BOOT_DIST=	${PORTNAME}-${BOOT_VER}-1.${MACHINE_ARCH}-freebsd${OSRELMAJ}.${BOOT_SUF}
-MAKE_ENV+=	LD_LIBMAP=libgmp.so.7=libgmp.so.10
+BOOT_DIST=	${PORTNAME}-${PORTVERSION}-1.${MACHINE_ARCH}-freebsd${OSRELMAJ}.${BOOT_SUF}
 .endif
 
 .if ${PORT_OPTIONS:MMINGW32}
@@ -72,34 +76,31 @@ PLIST_SUB+=	MINGW32CROSS=""
 PLIST_SUB+=	MINGW32CROSS="@comment "
 .endif
 
+# MINGW32 requires wine, which doesn't have an official amd64 port
+.if ${PORT_OPTIONS:MSMLNJ} || ${PORT_OPTIONS:MMINGW32}
 ONLY_FOR_ARCHS=	i386
-
-MAN1=		mllex.1 mlprof.1 mlton.1 mlyacc.1 mlnlffigen.1
-MANCOMPRESSED=	yes
+.else
+ONLY_FOR_ARCHS=	i386 amd64
+.endif
 
 BOOT_WRKSRC=	${WRKDIR}/mlton-bootstrap
 
-USE_GMAKE=	yes
 MAKE_ARGS=	DESTDIR='' \
 		PATH=${WRKSRC}/build/bin:${BOOT_WRKSRC}/bin:${PATH} \
 		PREFIX=${PREFIX}
 
 .if ${ARCH} == "i386"
 MLTON_ARCH=	"x86"
-.endif
-
-.if ${OSVERSION} >= 700000
-OSRELMAJ=
-.else
-OSRELMAJ=	-6
+.elif ${ARCH} == "amd64"
+MLTON_ARCH=	"x64"
 .endif
 
 BOOT_EXTRACT=	--bzip2
 BOOT_SUF=	tbz
-BOOT_VER=	20070826
 
 post-extract:
 	@${CP} ${FILESDIR}/add-local-cross ${WRKSRC}/bin/
+	@${CHMOD} 755 ${WRKSRC}/bin/add-local-cross
 .if ${PORT_OPTIONS:MSMLNJ}
 	@${CP} ${FILESDIR}/upgrade-basis.sml ${WRKSRC}/mlton/
 	@for f in `ls ${FILESDIR}/ml.* ${FILESDIR}/mlb.*`; do \
@@ -114,9 +115,33 @@ post-extract:
 .endif
 
 post-patch:
+	${REINPLACE_CMD} 's/CC := gcc -std=gnu99/CC := ${CC} -std=gnu99/g' \
+		${WRKSRC}/runtime/Makefile \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlnlffi-lib/Makefile
+	${REINPLACE_CMD} 's/gcc -v/${CC} -v/g' ${WRKSRC}/runtime/util/Makefile
+	${REINPLACE_CMD} 's/CC = gcc -std=gnu99/CC = ${CC} -std=gnu99/g' ${WRKSRC}/runtime/util/Makefile
+.if ${ARCH} == "i386"
+	${REINPLACE_CMD} 's/ram-slop 0\.7/max-heap 800m/g' ${WRKSRC}/mlton/Makefile
+.else
+	${REINPLACE_CMD} 's/ram-slop 0\.7/max-heap 2g/g' ${WRKSRC}/mlton/Makefile
+.endif
+.if ! ${PORT_OPTIONS:MSMLNJ}
 	@${REINPLACE_CMD} -e \
 		"s|/usr/local/lib/mlton|${BOOT_WRKSRC}/lib/mlton|;s|/usr/local|${LOCALBASE}|" \
 		${BOOT_WRKSRC}/bin/mlton
+	@${REINPLACE_CMD} -e "s|"$$"dir/../lib/mlton|${BOOT_WRKSRC}/lib/mlton|" \
+		${BOOT_WRKSRC}/bin/mlton
+	@${REINPLACE_CMD} -e "s|"$$"dir/../lib|${BOOT_WRKSRC}/lib/mlton|" \
+		${WRKSRC}/bin/mlton-script
+.endif
+	@${REINPLACE_CMD} -e "s|no-mllex|${BOOT_WRKSRC}/bin/mllex|" \
+		${WRKSRC}/mlton/front-end/Makefile \
+		${WRKSRC}/mlyacc/Makefile
+	@${REINPLACE_CMD} -e "s|no-mlyacc|${BOOT_WRKSRC}/bin/mlyacc|" \
+		${WRKSRC}/mlton/front-end/Makefile \
+		${WRKSRC}/mlyacc/Makefile
+	@${REINPLACE_CMD} -e "s|! mlton |! ${BOOT_WRKSRC}/bin/mlton |" \
+		${WRKSRC}/bin/upgrade-basis
 	@${REINPLACE_CMD} -e \
 		"s|/usr/local|${LOCALBASE}|" \
 		${WRKSRC}/runtime/Makefile \
@@ -129,10 +154,25 @@ post-patch:
 		${WRKSRC}/doc/guide/PortingMLton \
 		${WRKSRC}/doc/guide/SelfCompiling \
 		${WRKSRC}/doc/guide/Installation \
-		${WRKSRC}/regression/parse.sml \
+		${WRKSRC}/regression/parse.sml
+	@${REINPLACE_CMD} -e \
+		"s|gcc|${CC}|" \
+		${WRKSRC}/bin/add-cross \
+		${WRKSRC}/bin/regression \
+		${WRKSRC}/lib/mlnlffi-lib/Makefile \
+		${WRKSRC}/mlnlffigen/gen-cppcmd \
+		${WRKSRC}/mlnlffigen/README \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlrisc-lib/c-call/test/Makefile \
+		${BOOT_WRKSRC}/lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/Makefile
+	@${REINPLACE_CMD} -e \
+		"s|'gcc'|'${CC}'|" \
+		${WRKSRC}/bin/mlton-script \
+		${BOOT_WRKSRC}/bin/mlton
+.if ! ${PORT_OPTIONS:MSMLNJ}
+	@${REINPLACE_CMD} -e "s|/usr/local|${LOCALBASE}|" \
 		${BOOT_WRKSRC}/lib/mlton/include/cenv.h
-	@${RM} \
-		${WRKSRC}/doc/guide/PortingMLton.bak \
+.endif
+	@${RM} ${WRKSRC}/doc/guide/PortingMLton.bak \
 		${WRKSRC}/doc/guide/SelfCompiling.bak \
 		${WRKSRC}/doc/guide/Installation.bak
 
@@ -142,21 +182,4 @@ post-build:
 	${WRKSRC}/bin/add-local-cross mingw32 x86 mingw
 .endif
 
-post-install:
-.for bin in mllex mlnlffigen mlprof mlton mlyacc
-	${CHOWN} ${SHAREOWN}:${SHAREGRP} ${PREFIX}/bin/${bin}	\
-		${MAN1PREFIX}/man/man1/${bin}.1.gz
-	${CHMOD} a+rx ${PREFIX}/bin/${bin}
-.endfor
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${PREFIX}/lib/mlton
-	${FIND} ${PREFIX}/lib/mlton -type f -exec ${CHMOD} a+r {} \;
-	${FIND} ${PREFIX}/lib/mlton -type d -exec ${CHMOD} a+rx {} \;
-	${CHMOD} a+x ${PREFIX}/lib/mlton/mlton-compile
-	${CHMOD} a+x ${PREFIX}/lib/mlton/platform
-.if ${PORT_OPTIONS:MDOCS}
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
-	${FIND} ${DOCSDIR} -type f -exec ${CHMOD} a+r {} \;
-	${FIND} ${DOCSDIR} -type d -exec ${CHMOD} a+rx {} \;
-.endif
-
 .include <bsd.port.mk>

Modified: head/lang/mlton/distinfo
==============================================================================
--- head/lang/mlton/distinfo	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/distinfo	Fri Mar  7 17:57:07 2014	(r347412)
@@ -1,6 +1,6 @@
-SHA256 (mlton-20070826-1.i386-freebsd-6.tbz) = 515d7c11892793e330effce8c4e02467bbfb870671d91ef544b3644003709bea
-SIZE (mlton-20070826-1.i386-freebsd-6.tbz) = 7120924
-SHA256 (mlton-20070826-1.i386-freebsd.tbz) = b953da050a725d79c0445896cd6892d266f340622c52824d7f06bf8a4aed34cf
-SIZE (mlton-20070826-1.i386-freebsd.tbz) = 7006769
-SHA256 (mlton-20070826-1.src.tgz) = c2f7e07523294d070682399377ea83ed11f2ed59d142b30fc7032c1c8fd9e103
-SIZE (mlton-20070826-1.src.tgz) = 5585773
+SHA256 (mlton-20100608.src.tgz) = f2cb2cf0d6ca8e00331b15e3d23ede05080742895e79e73d2c26a546cd1c0b33
+SIZE (mlton-20100608.src.tgz) = 5785771
+SHA256 (mlton-20100608-1.i386-freebsd.tbz) = 0bf9aee4387dff75540850ab1a77b46b0ddd4687775cc56a9deab00ee3fb3042
+SIZE (mlton-20100608-1.i386-freebsd.tbz) = 10711528
+SHA256 (mlton-20100608-1.amd64-freebsd.tbz) = 1a0721c596a75c27ed4430149a62b9f497d3a8af3f189e36982ef73cd1d61d5d
+SIZE (mlton-20100608-1.amd64-freebsd.tbz) = 11935047

Modified: head/lang/mlton/files/add-local-cross
==============================================================================
--- head/lang/mlton/files/add-local-cross	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/files/add-local-cross	Fri Mar  7 17:57:07 2014	(r347412)
@@ -101,24 +101,19 @@ $MAKE -C runtime COMPILE_FAST=yes OMIT_B
 echo "* Running make dirs runtime in $tmp."
 $MAKE TARGET=$crossTarget TARGET_ARCH=$crossArch TARGET_OS=$crossOS dirs runtime
 
-echo "* Copy from tmp to build (build/lib/$crossTarget)."
+echo "* Copy from tmp to build (build/lib/targets/$crossTarget)."
 # ssh $machine "cd $tmp/build/lib/self && tar cf - ." | 
 #         ( cd "$lib/$crossTarget" && tar xf - )
-cp -pfR "$tmp/build/lib/$crossTarget" "$lib/"
+mkdir -p "$lib/targets"
+cp -pfR "$tmp/build/lib/targets/$crossTarget" "$lib/targets/"
 
-echo "* Copy from $crossArch-$crossOS (basis-library/config/c/$crossArch-crossOS)."
-#ssh $machine "cd $tmp/basis-library/config/c && tar cf - $crossArch-$crossOS" | 
-#        ( cd "$lib/sml/basis/config/c" && tar xf - )
-cp -pfR "$tmp/basis-library/config/c/$crossArch-$crossOS" \
-	"$lib/sml/basis/config/c/"
-
-echo "* Running make mlbpathmap targetmap in $src."
+echo "* Running make mlbpathmap in $src."
 #( cd "$src" &&
 #        mmake TARGET=$crossTarget TARGET_ARCH=$crossArch TARGET_OS=$crossOS \
 #                mlbpathmap targetmap )
 cd "$src"
 $MAKE TARGET=$crossTarget TARGET_ARCH=$crossArch TARGET_OS=$crossOS  \
-      mlbpathmap targetmap
+      mlbpathmap
 
 case "$crossOS" in
 mingw)
@@ -191,7 +186,6 @@ cd "$tmp/runtime/"
 $GCC $archOpts $osOpts -I. -o $exe $exe.c libmlton.a libgdtoa.a -lgmp -lm $libs
 
 #ssh $machine "$tmp/runtime/$exe$suf" >"$lib/$crossTarget/constants"
-$RUN "$tmp/runtime/$exe$suf" > "$lib/$crossTarget/constants"
+$RUN "$tmp/runtime/$exe$suf" > "$lib/targets/$crossTarget/constants"
 #ssh $machine "rm -rf $tmp"
 # rm -rf "$tmp"
-

Modified: head/lang/mlton/files/patch-Makefile
==============================================================================
--- head/lang/mlton/files/patch-Makefile	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/files/patch-Makefile	Fri Mar  7 17:57:07 2014	(r347412)
@@ -1,5 +1,5 @@
---- Makefile.orig	2007-08-27 07:04:14.000000000 +1000
-+++ Makefile	2008-04-28 10:23:28.000000000 +1000
+--- Makefile.orig	2010-06-11 06:35:30.000000000 -0700
++++ Makefile	2013-03-25 20:23:46.000000000 -0700
 @@ -34,7 +34,11 @@
  PATH := $(BIN):$(SRC)/bin:$(shell echo $$PATH)
  CP := /bin/cp -fpR
@@ -12,11 +12,14 @@
  
  # If we're compiling with another version of MLton, then we want to do
  # another round of compilation so that we get a MLton built without
-@@ -410,6 +414,7 @@
- install-no-docs:
- 	mkdir -p "$(TLIB)" "$(TBIN)" "$(TMAN)"
- 	$(CP) "$(LIB)/." "$(TLIB)/"
-+	-rm "$(TLIB)/mlton.x86-bsd"
- 	sed "/^lib=/s;.*;lib='$(prefix)/$(ULIB)';" 			\
- 		<"$(BIN)/mlton" >"$(TBIN)/mlton"
- 	chmod a+x "$(TBIN)/mlton"
+@@ -401,6 +405,10 @@
+ 	cd "$(TLIB)/sml"; for i in */[Dd]oc; do mv "$$i" "$(TDOC)/$$i"; done
+ 	cd "$(TLIB)/sml"; for i in */README*; do mv "$$i" "$(TDOC)/$$i"; done
+ 
++remove-docs:
++	cd "$(TLIB)/sml"; for i in */[Dd]oc; do rm -rf "$$i"; done
++	cd "$(TLIB)/sml"; for i in */README*; do rm -rf "$$i"; done
++
+ .PHONY: release
+ release: version
+ 	tar cvzf ../mlton-$(VERSION).tar.gz \

Modified: head/lang/mlton/files/patch-runtime-Makefile
==============================================================================
--- head/lang/mlton/files/patch-runtime-Makefile	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/files/patch-runtime-Makefile	Fri Mar  7 17:57:07 2014	(r347412)
@@ -1,7 +1,7 @@
---- runtime/Makefile.orig	2007-08-27 07:03:54.000000000 +1000
-+++ runtime/Makefile		2008-04-28 10:19:06.000000000 +1000
-@@ -11,11 +11,24 @@
- TARGET := self
+--- runtime/Makefile.orig	2010-06-11 06:35:14.000000000 -0700
++++ runtime/Makefile	2013-03-06 19:55:56.000000000 -0800
+@@ -23,6 +23,19 @@
+ 
  TARGET_ARCH := $(shell ../bin/host-arch)
  TARGET_OS := $(shell ../bin/host-os)
 +
@@ -18,67 +18,50 @@
 +endif
 +
  GCC_MAJOR_VERSION :=						\
--	$(shell gcc -v 2>&1 | grep 'gcc version' | 		\
-+	$(shell $(GCC) -v 2>&1 | grep 'gcc version' | 		\
+ 	$(shell $(CC) -v 2>&1 | grep 'gcc version' | 		\
  		sed 's/.*gcc version \([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\1/')
- GCC_MINOR_VERSION :=						\
--	$(shell gcc -v 2>&1 | grep 'gcc version' | 		\
-+	$(shell $(GCC) -v 2>&1 | grep 'gcc version' | 		\
- 		sed 's/.*gcc version \([0-9][0-9]*\)\.\([0-9][0-9]*\).*/\2/')
- GCC_VERSION := $(GCC_MAJOR_VERSION).$(GCC_MINOR_VERSION)
- 
-@@ -96,10 +109,9 @@
- else
- AR := $(TARGET)-ar rc
- RANLIB := $(TARGET)-ranlib
--FLAGS += -b $(TARGET)
- endif
- 
--CC := gcc -std=gnu99
-+CC := $(GCC) -std=gnu99
- CPPFLAGS :=
- CFLAGS := -I. -Iplatform $(FLAGS)
- OPTCFLAGS := $(CFLAGS) $(CPPFLAGS) $(OPTFLAGS)
-@@ -247,7 +259,7 @@
- 	cd gdtoa && $(CC) -o arithchk.out arithchk.c
+@@ -292,7 +305,7 @@
+ 	cd gdtoa && $(CC) $(OPTCFLAGS) $(OPTWARNCFLAGS) -w -O1 -o arithchk.out arithchk.c
  
  gdtoa/arith.h: gdtoa/arithchk.out
 -	cd gdtoa && ./arithchk.out >arith.h
 +	cd gdtoa && $(RUN) ./arithchk.out >arith.h
  
- libmlton.a: $(OBJS)
- 	$(AR) libmlton.a $(OBJS)
-@@ -265,7 +277,7 @@
- gen/c-types.h gen/c-types.sml gen/ml-types.h: gen/gen-types.c util.h util.o
+ gdtoa/%-pic.o: gdtoa/%.c gdtoa/arith.h
+ 	$(CC) $(PICCFLAGS) $(PICWARNCFLAGS) -w -DINFNAN_CHECK -c -o $@ $<
+@@ -322,7 +335,7 @@
+ gen/gen-types.stamp: gen/gen-types.c util.h util.o
  	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o gen/gen-types gen/gen-types.c util.o
- 	rm -f gen/c-types.h gen/c-types.sml gen/ml-types.h
+ 	rm -f gen/c-types.h gen/c-types.sml gen/ml-types.h gen/gen-types.stamp
 -	cd gen && ./gen-types
 +	cd gen && $(RUN) ./gen-types
- 	rm -f gen/gen-types$(EXE)
+ 	rm -f gen/gen-types$(EXE) gen/gen-types
+ 	touch $@
  
- c-types.h ml-types.h: gen/c-types.h gen/ml-types.h
-@@ -276,7 +288,7 @@
- gen/basis-ffi.h gen/basis-ffi.sml: gen/gen-basis-ffi.sml gen/basis-ffi.def
+@@ -333,7 +346,7 @@
+ gen/gen-basis-ffi.stamp: gen/gen-basis-ffi.sml gen/basis-ffi.def
  	mlton -output gen/gen-basis-ffi gen/gen-basis-ffi.sml
- 	rm -f gen/basis-ffi.h gen/basis-ffi.sml
+ 	rm -f gen/basis-ffi.h gen/basis-ffi.sml gen/gen-basis-ffi.stamp
 -	cd gen && ./gen-basis-ffi
 +	cd gen && $(RUN) ./gen-basis-ffi
  	rm -f gen/gen-basis-ffi
+ 	touch $@
  
- basis-ffi.h: gen/basis-ffi.h
-@@ -286,13 +298,13 @@
- gen/sizes: gen/gen-sizes.c libmlton.a
- 	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o gen/gen-sizes -I. -L. -lmlton gen/gen-sizes.c util.o
+@@ -342,7 +355,7 @@
+ gen/gen-sizes.stamp: gen/gen-sizes.c libmlton.a $(HFILES)
+ 	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -I. -o gen/gen-sizes gen/gen-sizes.c -L. -lmlton
  	rm -f gen/sizes
 -	cd gen && ./gen-sizes
 +	cd gen && $(RUN) ./gen-sizes
- 	rm -f gen/gen-sizes$(EXE)
+ 	rm -f gen/gen-sizes$(EXE) gen/gen-sizes
+ 	touch $@
  
- bytecode/opcodes: bytecode/print-opcodes.c bytecode/opcode.h
+@@ -370,7 +383,7 @@
+ bytecode/print-opcodes: bytecode/print-opcodes.c bytecode/opcode.h $(HFILES)
  	$(CC) $(OPTCFLAGS) $(WARNCFLAGS) -o bytecode/print-opcodes bytecode/print-opcodes.c
  	rm -f bytecode/opcodes
 -	cd bytecode && ./print-opcodes > opcodes
 +	cd bytecode && $(RUN) ./print-opcodes > opcodes
- 	rm -f bytecode/print-opcodes$(EXE)
- 
  
+ basis.c: $(BASISCFILES)
+ 	rm -f basis.c

Modified: head/lang/mlton/pkg-plist
==============================================================================
--- head/lang/mlton/pkg-plist	Fri Mar  7 17:44:14 2014	(r347411)
+++ head/lang/mlton/pkg-plist	Fri Mar  7 17:57:07 2014	(r347412)
@@ -18,6 +18,8 @@ lib/mlton/include/c-chunk.h
 lib/mlton/include/c-common.h
 lib/mlton/include/c-main.h
 lib/mlton/include/cenv.h
+lib/mlton/include/common-main.h
+lib/mlton/include/export.h
 lib/mlton/include/gc.h
 lib/mlton/include/gc/align.h
 lib/mlton/include/gc/array-allocate.h
@@ -70,8 +72,8 @@ lib/mlton/include/gc/translate.h
 lib/mlton/include/gc/weak.h
 lib/mlton/include/gc/world.h
 lib/mlton/include/interpret.h
-lib/mlton/include/main.h
 lib/mlton/include/ml-types.h
+lib/mlton/include/mlton-main.h
 lib/mlton/include/platform.h
 lib/mlton/include/platform/aix.h
 lib/mlton/include/platform/alpha.h
@@ -79,11 +81,11 @@ lib/mlton/include/platform/amd64.h
 lib/mlton/include/platform/arm.h
 lib/mlton/include/platform/cygwin.h
 lib/mlton/include/platform/darwin.h
-lib/mlton/include/platform/feround.h
 lib/mlton/include/platform/float-math.h
 lib/mlton/include/platform/freebsd.h
 lib/mlton/include/platform/hppa.h
 lib/mlton/include/platform/hpux.h
+lib/mlton/include/platform/hurd.h
 lib/mlton/include/platform/ia64.h
 lib/mlton/include/platform/linux.h
 lib/mlton/include/platform/m68k.h
@@ -92,6 +94,7 @@ lib/mlton/include/platform/mips.h
 lib/mlton/include/platform/netbsd.h
 lib/mlton/include/platform/openbsd.h
 lib/mlton/include/platform/powerpc.h
+lib/mlton/include/platform/powerpc64.h
 lib/mlton/include/platform/s390.h
 lib/mlton/include/platform/setenv.h
 lib/mlton/include/platform/solaris.h
@@ -110,20 +113,7 @@ lib/mlton/mlb-path-map
 lib/mlton/mlton-compile
 lib/mlton/opcodes
 lib/mlton/platform
-lib/mlton/self/constants
-lib/mlton/self/include/c-types.h
-lib/mlton/self/libgdtoa.a
-lib/mlton/self/libmlton-gdb.a
-lib/mlton/self/libmlton.a
-lib/mlton/self/sizes
-%%MINGW32CROSS%%lib/mlton/mingw32/constants
-%%MINGW32CROSS%%lib/mlton/mingw32/include/c-types.h
-%%MINGW32CROSS%%lib/mlton/mingw32/libgdtoa.a
-%%MINGW32CROSS%%lib/mlton/mingw32/libmlton-gdb.a
-%%MINGW32CROSS%%lib/mlton/mingw32/libmlton.a
-%%MINGW32CROSS%%lib/mlton/mingw32/sizes
 lib/mlton/sml/basis/Makefile
-lib/mlton/sml/basis/README
 lib/mlton/sml/basis/arrays-and-vectors/array-slice.sig
 lib/mlton/sml/basis/arrays-and-vectors/array.sig
 lib/mlton/sml/basis/arrays-and-vectors/array.sml
@@ -150,6 +140,8 @@ lib/mlton/sml/basis/basis-none.mlb
 lib/mlton/sml/basis/basis.mlb
 lib/mlton/sml/basis/build/sources.mlb
 lib/mlton/sml/basis/c-types.mlb
+lib/mlton/sml/basis/c/pointer.sig
+lib/mlton/sml/basis/c/pointer.sml
 lib/mlton/sml/basis/config/bind/char-prim.sml
 lib/mlton/sml/basis/config/bind/int-inf-prim.sml
 lib/mlton/sml/basis/config/bind/int-inf-top.sml
@@ -167,8 +159,6 @@ lib/mlton/sml/basis/config/c/position.sm
 lib/mlton/sml/basis/config/c/sys-types.sml
 lib/mlton/sml/basis/config/c/sys-word.sml
 lib/mlton/sml/basis/config/c/word-to-bool.sml
-lib/mlton/sml/basis/config/c/x86-freebsd/c-types.sml
-%%MINGW32CROSS%%lib/mlton/sml/basis/config/c/x86-mingw/c-types.sml
 lib/mlton/sml/basis/config/choose-char.sml
 lib/mlton/sml/basis/config/choose-int.sml
 lib/mlton/sml/basis/config/choose-real.sml
@@ -330,11 +320,6 @@ lib/mlton/sml/basis/list/list-pair.sig
 lib/mlton/sml/basis/list/list-pair.sml
 lib/mlton/sml/basis/list/list.sig
 lib/mlton/sml/basis/list/list.sml
-lib/mlton/sml/basis/maps/c-types.amd64-linux.map
-lib/mlton/sml/basis/maps/c-types.test-amd64-m32-linux.map
-lib/mlton/sml/basis/maps/c-types.test-amd64-m64-linux.map
-lib/mlton/sml/basis/maps/c-types.test-weird-weird.map
-lib/mlton/sml/basis/maps/c-types.x86-linux.map
 lib/mlton/sml/basis/maps/header-word32.map
 lib/mlton/sml/basis/maps/header-word64.map
 lib/mlton/sml/basis/maps/objptr-rep32.map
@@ -434,6 +419,7 @@ lib/mlton/sml/basis/posix/io.sig
 lib/mlton/sml/basis/posix/io.sml
 lib/mlton/sml/basis/posix/posix.sig
 lib/mlton/sml/basis/posix/posix.sml
+lib/mlton/sml/basis/posix/pre-posix.sml
 lib/mlton/sml/basis/posix/proc-env.sig
 lib/mlton/sml/basis/posix/proc-env.sml
 lib/mlton/sml/basis/posix/process.sig
@@ -524,6 +510,8 @@ lib/mlton/sml/basis/top-level/infixes.sm
 lib/mlton/sml/basis/unsafe.mlb
 lib/mlton/sml/basis/util/CUtil.sig
 lib/mlton/sml/basis/util/CUtil.sml
+lib/mlton/sml/basis/util/abs-rep.fun
+lib/mlton/sml/basis/util/abs-rep.sig
 lib/mlton/sml/basis/util/cleaner.sig
 lib/mlton/sml/basis/util/cleaner.sml
 lib/mlton/sml/basis/util/dynamic-wind.sig
@@ -540,14 +528,8 @@ lib/mlton/sml/basis/util/unique-id.fun
 lib/mlton/sml/basis/util/unique-id.sig
 lib/mlton/sml/ckit-lib/BUGS
 lib/mlton/sml/ckit-lib/HISTORY
-lib/mlton/sml/ckit-lib/README
-lib/mlton/sml/ckit-lib/README.mlton
-lib/mlton/sml/ckit-lib/README.mlton.orig
 lib/mlton/sml/ckit-lib/ckit-lib.mlb
 lib/mlton/sml/ckit-lib/ckit-lib.mlb.orig
-lib/mlton/sml/ckit-lib/doc/overview
-lib/mlton/sml/ckit-lib/doc/overview.html
-lib/mlton/sml/ckit-lib/doc/todo
 lib/mlton/sml/ckit-lib/regression/README
 lib/mlton/sml/ckit-lib/regression/invalid-programs/a208.c
 lib/mlton/sml/ckit-lib/regression/invalid-programs/a37.c
@@ -1053,11 +1035,11 @@ lib/mlton/sml/cml/util/local-debug.fun
 lib/mlton/sml/cml/util/timeit.sig
 lib/mlton/sml/cml/util/timeit.sml
 lib/mlton/sml/cml/util/util.mlb
-lib/mlton/sml/mlnlffi-lib/README
-lib/mlton/sml/mlnlffi-lib/README.mlton
+lib/mlton/sml/mlnlffi-lib/Makefile
 lib/mlton/sml/mlnlffi-lib/c-debug.sig
 lib/mlton/sml/mlnlffi-lib/c.mlb
 lib/mlton/sml/mlnlffi-lib/c.sig
+lib/mlton/sml/mlnlffi-lib/gen-rtld-flags.c
 lib/mlton/sml/mlnlffi-lib/internals/c-debug.sml
 lib/mlton/sml/mlnlffi-lib/internals/c-int.mlb
 lib/mlton/sml/mlnlffi-lib/internals/c-int.sig
@@ -1083,128 +1065,15 @@ lib/mlton/sml/mlnlffi-lib/memory/platfor
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.darwin.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.freebsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.hpux.mlb
+lib/mlton/sml/mlnlffi-lib/memory/platform/memory.hurd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.linux.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.mingw.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.netbsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.openbsd.mlb
 lib/mlton/sml/mlnlffi-lib/memory/platform/memory.solaris.mlb
+lib/mlton/sml/mlnlffi-lib/memory/platform/rtld-flags.freebsd.sml
 lib/mlton/sml/mlnlffi-lib/mlnlffi-lib.mlb
 lib/mlton/sml/mlnlffi-lib/zstring.sig
-lib/mlton/sml/mlrisc-lib/Doc/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/README
-lib/mlton/sml/mlrisc-lib/Doc/graphics/fun-ssa-value-graph.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-cdg-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-cfg-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-ddg.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-dom-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-loop-nesting.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-opt.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-region-survey.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/mandelbrot-ssa.gif
-lib/mlton/sml/mlrisc-lib/Doc/graphics/smlnj.jpg
-lib/mlton/sml/mlrisc-lib/Doc/graphics/vh32.png
-lib/mlton/sml/mlrisc-lib/Doc/graphics/vh401.gif
-lib/mlton/sml/mlrisc-lib/Doc/html/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex.thm
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex2html
-lib/mlton/sml/mlrisc-lib/Doc/html/mltex2html.orig
-lib/mlton/sml/mlrisc-lib/Doc/latex/C6.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ILP.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/INTRO.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/latex/SSA.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/VLIW.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/alpha.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/annotations.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/asm.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/availability.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/backend-opt.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/cells.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/cluster.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/compiler-graphs.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/constants.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/contributions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/contributors.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/delayslots.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/freq.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/future-work.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/gc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/graphics.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/graphs.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/hppa.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/instrsel.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/instructions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/labelexp.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/labels.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/line-counts.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/md.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mips.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-arch.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-compiler.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-gen.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-graphics.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ir-rep.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ir.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-md.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc-ra.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc.bib
-lib/mlton/sml/mlrisc-lib/Doc/latex/mlrisc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltex.sty
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltex.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltexdoc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree-ext.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree-util.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/mltree.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/optimizations.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ppc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/problem.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/pseudo-ops.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/ra.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/regions.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/regmap.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/requirements.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sml.sty
-lib/mlton/sml/mlrisc-lib/Doc/latex/sml.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/span-dep.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sparc.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/streams.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/sys-integration.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/systems.tex
-lib/mlton/sml/mlrisc-lib/Doc/latex/x86.tex
-lib/mlton/sml/mlrisc-lib/Doc/pictures/Makefile
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/big-pict.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/big-pict2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cdg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cfg-rev.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/cfg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler-1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler-2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/compiler2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/dom.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hof-1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hof-2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/hyperblock-formation.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/if-conversion.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/layers.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/mlrisc-IR.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/mlrisc-ir-archive.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/optimization.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/pdom.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/phg.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/region-builder.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/sharing3.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/subgraph.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/tail-dupl.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/tail-duplication.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/trace.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol1.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/uncol2.fig
-lib/mlton/sml/mlrisc-lib/Doc/pictures/fig/viewer.fig
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-glue.sig
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-glue.sml
 lib/mlton/sml/mlrisc-lib/Glue/mlrisc-ssa-optimizer.sig
@@ -1238,8 +1107,6 @@ lib/mlton/sml/mlrisc-lib/IR/mlrisc-resha
 lib/mlton/sml/mlrisc-lib/IR/sources.cm
 lib/mlton/sml/mlrisc-lib/IR/static-branch-prediction.sig
 lib/mlton/sml/mlrisc-lib/IR/static-branch-prediction.sml
-lib/mlton/sml/mlrisc-lib/README.mlton
-lib/mlton/sml/mlrisc-lib/README.mlton.orig
 lib/mlton/sml/mlrisc-lib/SSA/SSA.cm
 lib/mlton/sml/mlrisc-lib/SSA/bitmap.sml
 lib/mlton/sml/mlrisc-lib/SSA/cfg2ssa.sig
@@ -1416,10 +1283,14 @@ lib/mlton/sml/mlrisc-lib/amd64/amd64.mdl
 lib/mlton/sml/mlrisc-lib/amd64/amd64.mdl.orig
 lib/mlton/sml/mlrisc-lib/amd64/amd64MC.sml
 lib/mlton/sml/mlrisc-lib/amd64/amd64MC.sml.orig
+lib/mlton/sml/mlrisc-lib/amd64/amd64MCFn.sml
+lib/mlton/sml/mlrisc-lib/amd64/amd64MCFn.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/backpatch/amd64Jumps.sml
 lib/mlton/sml/mlrisc-lib/amd64/backpatch/amd64Jumps.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/emit/amd64Asm.sml
 lib/mlton/sml/mlrisc-lib/amd64/emit/amd64Asm.sml.orig
+lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64-darwin-pseudo-ops.sml
+lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64-darwin-pseudo-ops.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64GasPseudoOps.sml
 lib/mlton/sml/mlrisc-lib/amd64/flowgraph/amd64GasPseudoOps.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/instructions/amd64Cells.sml
@@ -1442,9 +1313,6 @@ lib/mlton/sml/mlrisc-lib/amd64/ra/amd64R
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64RegAlloc.sml.orig
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64SpillInstr.sml
 lib/mlton/sml/mlrisc-lib/amd64/ra/amd64SpillInstr.sml.orig
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/amd64-svid.sml
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/amd64-svid.sml.orig
-lib/mlton/sml/mlrisc-lib/amd64/staged-allocation/c-sizes.sml
 lib/mlton/sml/mlrisc-lib/autoload.sml
 lib/mlton/sml/mlrisc-lib/backpatch/backpatch.sml
 lib/mlton/sml/mlrisc-lib/backpatch/backpatch.sml.orig
@@ -1467,8 +1335,60 @@ lib/mlton/sml/mlrisc-lib/block-placement
 lib/mlton/sml/mlrisc-lib/block-placement/jump-chain-elim-fn.sml.orig
 lib/mlton/sml/mlrisc-lib/block-placement/weighted-block-placement-fn.sml
 lib/mlton/sml/mlrisc-lib/block-placement/weighted-block-placement-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/README
+lib/mlton/sml/mlrisc-lib/c-call/archs/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-call-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-call-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/sparc-c-sizes.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-svid-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-64-svid-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-c-sizes.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-svid-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/archs/x86-svid-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-fn.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-gen-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-call-sig.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-type.sml
+lib/mlton/sml/mlrisc-lib/c-call/gen/c-type.sml.orig
+lib/mlton/sml/mlrisc-lib/c-call/test/Makefile
+lib/mlton/sml/mlrisc-lib/c-call/test/c-sparc-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-test-gen.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-x86-64-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/c-x86-test.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/group.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/spill-table.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/test-varargs.sml
+lib/mlton/sml/mlrisc-lib/c-call/test/wrapper.cm
+lib/mlton/sml/mlrisc-lib/c-call/test/x86-64-elf.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/located-arg-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/marshal.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/smlnj-prim-c-call.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/sources.cm
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-call-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-call.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg-constants.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/call/vararg.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/Makefile
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/located-arg.h
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/mlrisc-gen-sig.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/sparc-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/test-interp.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/test.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/util.c
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-sparc.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-x86-darwin.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/vararg-interp-x86-linux.s
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/x86-64-gen-fn.sml
+lib/mlton/sml/mlrisc-lib/c-call/varargs/interp/x86-gen-fn.sml
 lib/mlton/sml/mlrisc-lib/c-calls/c-calls.sig
 lib/mlton/sml/mlrisc-lib/c-calls/c-types.sml
+lib/mlton/sml/mlrisc-lib/c-calls/c-types.sml.orig
 lib/mlton/sml/mlrisc-lib/c-calls/unimplemented-c-calls.sml
 lib/mlton/sml/mlrisc-lib/c-calls/unimplemented-c-calls.sml.orig
 lib/mlton/sml/mlrisc-lib/cluster/clusterGraph.sig
@@ -1488,6 +1408,13 @@ lib/mlton/sml/mlrisc-lib/cm/AMD64-RTL.cm
 lib/mlton/sml/mlrisc-lib/cm/AMD64-SSA.cm
 lib/mlton/sml/mlrisc-lib/cm/AMD64-Sched.cm
 lib/mlton/sml/mlrisc-lib/cm/AMD64.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-Vararg.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-VarargCall.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-VarargInterp.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-sparc.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-x86-64.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall-x86.cm
+lib/mlton/sml/mlrisc-lib/cm/CCall.cm
 lib/mlton/sml/mlrisc-lib/cm/Control.cm
 lib/mlton/sml/mlrisc-lib/cm/GC.cm
 lib/mlton/sml/mlrisc-lib/cm/Graphs.cm
@@ -1515,7 +1442,6 @@ lib/mlton/sml/mlrisc-lib/cm/Peephole.cm
 lib/mlton/sml/mlrisc-lib/cm/RA.cm
 lib/mlton/sml/mlrisc-lib/cm/RTL.cm
 lib/mlton/sml/mlrisc-lib/cm/Region.cm
-lib/mlton/sml/mlrisc-lib/cm/SA.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-GC.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-Peephole.cm
 lib/mlton/sml/mlrisc-lib/cm/SPARC-RTL.cm
@@ -1524,6 +1450,7 @@ lib/mlton/sml/mlrisc-lib/cm/SPARC-Sched.
 lib/mlton/sml/mlrisc-lib/cm/SPARC.cm
 lib/mlton/sml/mlrisc-lib/cm/SSA.cm
 lib/mlton/sml/mlrisc-lib/cm/Sched.cm
+lib/mlton/sml/mlrisc-lib/cm/StagedAlloc.cm
 lib/mlton/sml/mlrisc-lib/cm/VLIW.cm
 lib/mlton/sml/mlrisc-lib/cm/Visual.cm
 lib/mlton/sml/mlrisc-lib/cm/ir-archive.cm
@@ -1539,13 +1466,18 @@ lib/mlton/sml/mlrisc-lib/demo/build-110.
 lib/mlton/sml/mlrisc-lib/demo/build-110.25.sml
 lib/mlton/sml/mlrisc-lib/demo/build-110.29.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-alpha.sml
+lib/mlton/sml/mlrisc-lib/demo/demo-amd64.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-backend.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-sparc.sml
 lib/mlton/sml/mlrisc-lib/demo/demo-types.sml
 lib/mlton/sml/mlrisc-lib/demo/eg-alpha.sml
+lib/mlton/sml/mlrisc-lib/demo/eg-amd64.sml
 lib/mlton/sml/mlrisc-lib/demo/eg-sparc.sml
+lib/mlton/sml/mlrisc-lib/demo/group.cm
+lib/mlton/sml/mlrisc-lib/demo/sources-amd64.cm
 lib/mlton/sml/mlrisc-lib/demo/sources.cm
 lib/mlton/sml/mlrisc-lib/demo/spill-table.sml
+lib/mlton/sml/mlrisc-lib/demo/wrapper.cm
 lib/mlton/sml/mlrisc-lib/emit/asm-flags.sml
 lib/mlton/sml/mlrisc-lib/emit/asmEmit.sig
 lib/mlton/sml/mlrisc-lib/emit/asmStream.sml
@@ -1870,6 +1802,14 @@ lib/mlton/sml/mlrisc-lib/mlb/AMD64-Peeph
 lib/mlton/sml/mlrisc-lib/mlb/AMD64-Peephole.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/AMD64.mlb
 lib/mlton/sml/mlrisc-lib/mlb/AMD64.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-sparc.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-sparc.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86-64.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86-64.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall-x86.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/CCall.mlb
+lib/mlton/sml/mlrisc-lib/mlb/CCall.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Control.mlb
 lib/mlton/sml/mlrisc-lib/mlb/Control.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Graphs.mlb
@@ -1892,10 +1832,10 @@ lib/mlton/sml/mlrisc-lib/mlb/Peephole.ml
 lib/mlton/sml/mlrisc-lib/mlb/Peephole.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/RA.mlb
 lib/mlton/sml/mlrisc-lib/mlb/RA.mlb.orig
-lib/mlton/sml/mlrisc-lib/mlb/SA.mlb
-lib/mlton/sml/mlrisc-lib/mlb/SA.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/SPARC.mlb
 lib/mlton/sml/mlrisc-lib/mlb/SPARC.mlb.orig
+lib/mlton/sml/mlrisc-lib/mlb/StagedAlloc.mlb
+lib/mlton/sml/mlrisc-lib/mlb/StagedAlloc.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlb/Visual.mlb
 lib/mlton/sml/mlrisc-lib/mlb/Visual.mlb.orig
 lib/mlton/sml/mlrisc-lib/mlrisc-lib.mlb
@@ -1910,6 +1850,8 @@ lib/mlton/sml/mlrisc-lib/mltree/machine-
 lib/mlton/sml/mlrisc-lib/mltree/machine-int.sml
 lib/mlton/sml/mlrisc-lib/mltree/mltree-basis.sig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-basis.sml
+lib/mlton/sml/mlrisc-lib/mltree/mltree-check-ty.sml
+lib/mlton/sml/mlrisc-lib/mltree/mltree-check-ty.sml.orig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-eval.sig
 lib/mlton/sml/mlrisc-lib/mltree/mltree-eval.sml
 lib/mlton/sml/mlrisc-lib/mltree/mltree-extension.sig
@@ -2113,11 +2055,14 @@ lib/mlton/sml/mlrisc-lib/sparc/ra/sparcR
 lib/mlton/sml/mlrisc-lib/sparc/ra/sparcRewrite.sml
 lib/mlton/sml/mlrisc-lib/sparc/ra/sparcSpillInstr.sml
 lib/mlton/sml/mlrisc-lib/sparc/sparc.mdl
-lib/mlton/sml/mlrisc-lib/staged-allocation/c-call-sig.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/call-conv-sig.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-fn.sml
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-fn.sml.orig
-lib/mlton/sml/mlrisc-lib/staged-allocation/staged-allocation-sig.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/README
+lib/mlton/sml/mlrisc-lib/staged-alloc/allocator/staged-allocation-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/allocator/staged-allocation-sig.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/c-loc-kind.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/power-pc-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/sparc-c-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/x86-64-c-fn.sml
+lib/mlton/sml/mlrisc-lib/staged-alloc/conventions/x86-c-fn.sml
 lib/mlton/sml/mlrisc-lib/visualization/allDisplays.sml
 lib/mlton/sml/mlrisc-lib/visualization/cfgViewer.sml
 lib/mlton/sml/mlrisc-lib/visualization/cfgViewer.sml.orig
@@ -2183,10 +2128,10 @@ lib/mlton/sml/mlrisc-lib/x86/x86MC.sml.o
 lib/mlton/sml/mlyacc-lib/base.sig
 lib/mlton/sml/mlyacc-lib/join.sml
 lib/mlton/sml/mlyacc-lib/lrtable.sml
+lib/mlton/sml/mlyacc-lib/ml-yacc-lib.cm
 lib/mlton/sml/mlyacc-lib/mlyacc-lib.mlb
 lib/mlton/sml/mlyacc-lib/parser1.sml
 lib/mlton/sml/mlyacc-lib/parser2.sml
-lib/mlton/sml/mlyacc-lib/sources.cm
 lib/mlton/sml/mlyacc-lib/stream.sml
 lib/mlton/sml/smlnj-lib/CHANGES
 lib/mlton/sml/smlnj-lib/CPP/README
@@ -2203,66 +2148,6 @@ lib/mlton/sml/smlnj-lib/Controls/control
 lib/mlton/sml/smlnj-lib/Controls/controls.sml
 lib/mlton/sml/smlnj-lib/Controls/registry-sig.sml
 lib/mlton/sml/smlnj-lib/Controls/registry.sml
-lib/mlton/sml/smlnj-lib/Doc/BasisInfo/HTML.info
-lib/mlton/sml/smlnj-lib/Doc/CATALOG
-lib/mlton/sml/smlnj-lib/Doc/Config.cfg
-lib/mlton/sml/smlnj-lib/Doc/Entities.sgml
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-registry.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-set.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/control-util.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/controls-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Controls/controls.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/HashCons/hash-cons.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/engine-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/match-tree.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/parser-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-intro.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/regexp-sig.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/RegExp/syntax.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-env.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Unix/unix-path.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-qsort-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-qsort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/array-sort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/atom.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/binary-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/binary-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bit-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bit-vector.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/bsearch.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/char-map.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/dynamic-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/fifo.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/iterate.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/lib-base.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-format.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/list-xprod.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/listsort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/mono-array-sort.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/mono-dynamic-array.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-key.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-map.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/ord-set.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/queue.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/rand.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/random.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splay-map-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splay-set-fn.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/splaytree.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/uref.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/Util/util-lib-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/intro-part.mldoc
-lib/mlton/sml/smlnj-lib/Doc/ML-Doc/smlnj-lib.mldoc
-lib/mlton/sml/smlnj-lib/Doc/config.sh
-lib/mlton/sml/smlnj-lib/Doc/index.template
-lib/mlton/sml/smlnj-lib/Doc/input
-lib/mlton/sml/smlnj-lib/Doc/page.template
-lib/mlton/sml/smlnj-lib/Doc/toc.template
 lib/mlton/sml/smlnj-lib/HTML/HTML32.dtd
 lib/mlton/sml/smlnj-lib/HTML/README
 lib/mlton/sml/smlnj-lib/HTML/check-html-fn.sml
@@ -2270,8 +2155,6 @@ lib/mlton/sml/smlnj-lib/HTML/html-attr-v
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-fn.sml
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-fn.sml.orig
 lib/mlton/sml/smlnj-lib/HTML/html-attrs-sig.sml
-lib/mlton/sml/smlnj-lib/HTML/html-cons-lib.mlb
-lib/mlton/sml/smlnj-lib/HTML/html-cons-lib.mlb.orig
 lib/mlton/sml/smlnj-lib/HTML/html-defaults.sml
 lib/mlton/sml/smlnj-lib/HTML/html-elements-fn.sml
 lib/mlton/sml/smlnj-lib/HTML/html-elements-fn.sml.orig
@@ -2314,6 +2197,18 @@ lib/mlton/sml/smlnj-lib/INet/inet-lib.ml
 lib/mlton/sml/smlnj-lib/INet/sock-util-sig.sml
 lib/mlton/sml/smlnj-lib/INet/sock-util.sml
 lib/mlton/sml/smlnj-lib/INet/unix-sock-util.sml
+lib/mlton/sml/smlnj-lib/JSON/README
+lib/mlton/sml/smlnj-lib/JSON/json-lib.cm
+lib/mlton/sml/smlnj-lib/JSON/json-lib.mlb
+lib/mlton/sml/smlnj-lib/JSON/json-lib.mlb.orig
+lib/mlton/sml/smlnj-lib/JSON/json-parser.sml
+lib/mlton/sml/smlnj-lib/JSON/json-printer.sml
+lib/mlton/sml/smlnj-lib/JSON/json-stream-parser.sml
+lib/mlton/sml/smlnj-lib/JSON/json-stream-printer.sml
+lib/mlton/sml/smlnj-lib/JSON/json-tokens.sml
+lib/mlton/sml/smlnj-lib/JSON/json.lex
+lib/mlton/sml/smlnj-lib/JSON/json.lex.sml
+lib/mlton/sml/smlnj-lib/JSON/json.sml
 lib/mlton/sml/smlnj-lib/PORTING
 lib/mlton/sml/smlnj-lib/PP/README
 lib/mlton/sml/smlnj-lib/PP/devices/ansi-term-dev.sml
@@ -2342,9 +2237,6 @@ lib/mlton/sml/smlnj-lib/PP/tests/sources
 lib/mlton/sml/smlnj-lib/PP/tests/test-html.sml
 lib/mlton/sml/smlnj-lib/PP/tests/test.sml
 lib/mlton/sml/smlnj-lib/PP/tests/typp.sml
-lib/mlton/sml/smlnj-lib/README
-lib/mlton/sml/smlnj-lib/README.mlton
-lib/mlton/sml/smlnj-lib/README.mlton.orig
 lib/mlton/sml/smlnj-lib/Reactive/README
 lib/mlton/sml/smlnj-lib/Reactive/instruction.sml
 lib/mlton/sml/smlnj-lib/Reactive/machine.sml
@@ -2357,6 +2249,7 @@ lib/mlton/sml/smlnj-lib/RegExp/BackEnd/b

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Rene Ladan freebsd_committer 2014-03-07 17:57:39 UTC
State Changed
From-To: feedback->closed

Committed and switched maintainer.